/**
 * 其他业务模块
 * 
 * 注册登陆：phoneNumber、register、login、registerSuccess、
 * 重置支付密码：payPassword、payPasswordNew、resetPayConfirm、resetLogin
 * 银行相关:banks addBankcard editBankcard addBankcardNew confirmBankcard addBankcardSMS removeBankCard addbankinfoSuccess
 * 
 */
FN.other = {
	bindfrom:0,
	experiencebind: function(data) {
		if(data) $('#experiencebind').show();
		else $('#experiencebind').hide(); //关闭一元支付弹出框
	},
	gotobindbank: function(fromurl, backurl, experience_id) {
		FN.page.go('bankcardManage', {
			fromurl: fromurl,
			goBackUrl: backurl,
			frombind: true,
			experience_id: experience_id
		}, 'load');
	},
	bindignore: function() {
		//alert(FN.page.current);
		if(FN.page.current == 'bankcardManage') {
			FN.ctrl.get('bankcardManage').bindignore();
		} else {
			FN.ctrl.get('addBankcard').bindignore();
		}
	},
}
FN.ctrl.set('phoneNumber', function(params) {
	var getPhoneNumber = function(data) {
		//隐藏首页的div弹窗
		$('#hongbao_pop').hide();
		$('#songquan_pop').hide();
		//隐藏金秋活动动态图
		$('.animation_swing_box').hide();

		if(FN.ctrl.exception(data))
			return;

		FN.util.setGlobelBGColor();
		FN.ctrl.show(params.ctrlName);
		params.billName = '手机号';
		params.billGoBackUrl = data.goBackUrl;
	    //alert(data.type+ data.forwardUrl);
		params.successInfo = data;
		if(params.billGoBackUrl) {
			FN.native.setHead({
				url: params.billGoBackUrl,
				title: params.billName
			});
		} else {
			FN.native.setHead({
				url: 'recommend',
				title: params.billName
			});
		}
		// FN.native.setHead({url:'recommend',title:params.billName});
		FN.native.setNavi({
			show: 0
		});
		params.dom().find(".btn-primary").click(function() {
			FN.ctrl.get('phoneNumber').go2Next();
		});
		FN.native.closeWaitDialog();
	};

	return {
		'init': function(data) {
			getPhoneNumber(data);
		},
		'update': function(data) {
			//alert('刷新 PhoneNumber');//11
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: params.billGoBackUrl,
				title: params.billName
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'go2Next': function() {
			params.dom().find("#user_phone").blur();
			var phone = params.dom().find('#user_phone').val();
			if(!FN.util.phoneRule(phone)) {
				FN.ctrl.smallTip('请输入正确的手机号码', 1500);
				return;
			}
			FN.cache.putEntry('user_phone', phone);
			FN.native.openWaitDialog();
			FN.native.get('api/user/phone_is_exist', {phone:phone}, 'get_phoneNumber.get', 'json');
			FN.callbackFunc['get_phoneNumber.get'] = function(data) {
				if(FN.ctrl.exception(data))
					return;
				if(data.error == '0') {
					data.phoneNumber = phone;
					if(data.result == '1') {
						FN.page.go('login', data, 'load');
					} else {

						FN.page.go('register', data, 'load');
					}
				} else {
					//TODO
				}
				FN.native.closeWaitDialog();
			}
		},
		/*'checkIsNumber':function(value){
		 if(value.length==1){
		 value=value.replace(/[^1-9]/g,'');
		 }else{
		 value=value.replace(/\D/g,'');
		 }
		 params.dom().find('#user_phone').val(value);
		 },*/
		'getSuccess': function() {
			return params.successInfo;
		}
	}

}).set('register', function(params) {
	var phone = '';
	var getRegister = function(data) {
		FN.util.setGlobelBGColor();
		phone = data.phoneNumber;
		FN.ctrl.show(params.ctrlName, {
			'user_phone': phone
		});
		params.dom().find('.btn-primary').click(function() {
			FN.ctrl.get('register').sure();
		});
		FN.native.setHead({
			url: 'phoneNumber',
			title: '注册'
		});
		FN.native.setNavi({
			show: 0
		});
		sendSMSCode(phone);
		FN.native.closeWaitDialog();
	};

	var sendSMSCode = function(phone) {
		//todo
		FN.ctrl.setClock(60, params.dom().find("#register_timer"), params.dom().find("#register_timer"), sendSMSCode, phone);
		FN.ctrl.getSMS('1', phone);
	}

	return {
		'init': function(data) {
			getRegister(data);
		},
		'gotoProtocol': function() {
			if(!window.local_obj) {
				$('#register_password').blur();
				$('#register_code').blur();
				setTimeout(function() {
					FN.native.loadExternal('api/common/protocol?type=1', 'protocol');
				}, 500);
			} else {
				FN.native.loadExternal('api/common/protocol?type=1', 'protocol');
			}
			FN.native.ios_setTabbarShow('0');
		},
		'sure': function() {
			if(!document.getElementById('registerAgreed').checked) {
				FN.ctrl.smallTip('亲，只有勾选了同意上面的协议才能进行注册哦');
				return;
			}

			var code = params.dom().find('#register_code').val();
			var password = params.dom().find('#register_password').val();
			if(!FN.util.checkPassword(password)) {
				return;
			}
			if(!code.length > 0) {
				FN.ctrl.smallTip('验证码不能为空!', 1500);
				return;
			}
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.post('api/user/reg_user', {
				'phone': phone,
				'code': code,
				'password': password
			}, 'get_register.get', 'json');
			FN.native.openWaitDialog();
			FN.callbackFunc['get_register.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == 0) {

					FN.native.writeEntry('mPhoneNum', phone, 'string', 'SmallTaurus');
					FN.user.saveToken(data.result.token.key, data.result.token.hash_code);
					FN.native.sendDeviceCode();
					FN.user.saveUserInfo(phone, "", "", "0", "0");
					FN.user.saveLoginStatus(true);
					// FN.ctrl.smallTip('注册成功');
					var successInfo = FN.ctrl.get('phoneNumber').getSuccess();

					//”我的投资“和首页“新人有礼”和顶部的”banner“活动 进去的，，跳转到“注册成功”页面;其他的不跳转
			if(successInfo.forwardUrl == 'myInvest' || successInfo.forwardUrl == 'recommend' || successInfo.forwardUrl == 'banner'||successInfo.forwardUrl=="productList") {					
						//跳转到regsuccess页面带过去。。。--现在是任何注册入口都转到注册成功页面,点击按钮在回去fromurl


				FN.page.go('registerSuccess', {
							fromurl: successInfo.forwardUrl,
							action: 'register',
							result: 'success',
							typestr: successInfo.type,
							haveReward: data.result.haveReward,
							haveRewardTitle: data.result.haveRewardTitle,
							haveRewardMsg: data.result.haveRewardMsg,
							rewardType: data.result.rewardType,
							rewardShare: data.result.rewardShare,
							huafeiMsg: data.result.huafeiMsg,
							redPackageMsg: data.result.redPackageMsg,
							liuliangMsg: data.result.liuliangMsg,
							luckyDrawMsg: data.result.luckyDrawMsg,
							luckyDrawURL: data.result.luckyDrawURL,
							haveExperience: data.result.haveExperience,
							experienceAmount: data.result.experienceAmount,
							experienceLength: data.result.experienceLength,
							experienceAnnualYield: data.result.experienceAnnualYield,
							experienceMoneyMsg: data.result.experienceMoneyMsg,
							experienceMoneyMxMsg: data.result.experienceMoneyMxMsg,
							havePlatformPro: data.result.havePlatformPro,
							htmlpath: data.result.htmlpath,
							htmlImage: data.result.htmlImage,
							experience_id:data.result.experienceMoneyId,
							friendShareReg  : data.result.friendShareReg  ,//新版邀请有奖内容
					        friendShareRegMsg : data.result.friendShareRegMsg,
							showNewbieGift: data.result.showNewbieGift,
					        showNewbieGiftUrl: data.result.showNewbieGiftUrl
				}, 'load');

					} else {
						//跳转如果从购买页面过来的，还是回到购买页面;如果从我的投资过来，还是回到我的投资。。
						FN.page.go(successInfo.forwardUrl, {
							'action': 'register',
							'result': 'success'
						}, successInfo.type);
					}

				} else {
					if(data.error == 1) {
						FN.ctrl.smallTip('手机号已被注册', 2000);
					} else if(data.error == 2) {
						FN.ctrl.smallTip('验证码错误', 2000);
					} else if(data.error == 4) {
						FN.ctrl.smallTip('验证码已失效', 2000);
					} else {
						FN.ctrl.smallTip('操作失败', 2000);
					}
				}
				FN.native.closeWaitDialog();
			};
		}
	}
}).set('login', function(params) {
	var phone = '';
	var getLogin = function(data) {
		FN.util.setGlobelBGColor();
		phone = data.phoneNumber;
		FN.ctrl.show(params.ctrlName);
		FN.native.setHead({
			url: 'phoneNumber',
			title: '登录'
		});
		FN.native.setNavi({
			show: 0
		});
		params.dom().find('.btn-primary').click(function() {
			FN.ctrl.get('login').sure();
		});
		params.dom().find('.forget-password').click(function() {
			FN.ctrl.get('login').resetLogin();
		});
		FN.native.closeWaitDialog();

	};

	return {
		'init': function(data) {
			getLogin(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'phoneNumber',
				title: '登录'
			});
			FN.native.setNavi({
				show: 0
			});

		},
		'resetLogin': function() {
			FN.page.go('resetLogin', {
				user_phone: phone
			}, 'load');
		},
		'sure': function() {
			params.dom().find("#login_password").blur();
			var password = params.dom().find('#login_password').val();
			if(!FN.util.checkPassword(password)) {
				return;
			}
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.openWaitDialog();
			FN.native.post('api/user/login', {
				'phone': phone,
				'password': password
			}, 'get_login.get', 'json');
			FN.callbackFunc['get_login.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == 0) {
					FN.native.writeEntry('mPhoneNum', phone, 'string', 'SmallTaurus');
					FN.user.saveToken(data.result.token.key, data.result.token.hash_code);
					FN.native.sendDeviceCode();
					FN.user.saveLoginStatus(true);
					FN.user.afterLoginData();
					FN.ctrl.smallTip('登录成功');
					
					if (!window.local_obj) {
							var iosVersion= ios_verson();
							if(iosVersion != '2.2.8'&&iosVersion != '2.2.7'&&iosVersion!='2.2.6'&&iosVersion!='2.2.5'&&iosVersion!='2.1.6'&&iosVersion!='2.1.5'&&iosVersion!='2.1.4'&&iosVersion!='2.1.3'){
								//登录后回调源生离线接口
								ios_setOffMsgBylogin();
							}
					} else {
						var androidVersion=window.local_obj.localversion();
						if (androidVersion != '2.2.1' && 
							androidVersion != '2.2.0' && 
							androidVersion != '2.1.5' && 
							androidVersion != '2.1.4' && 
							androidVersion != '2.1.3' && 
							androidVersion != '2.1.2' && 
							androidVersion != '2.1.1' && 
							androidVersion != '2.1.0' && 
							androidVersion != '2.0.7' && 
							androidVersion != '2.0.8') {
							window.local_obj.setOffMsgBylogin();
						}
					}
					var successInfo = FN.ctrl.get('phoneNumber').getSuccess();
					if(successInfo.forwardUrl=='productList'||successInfo.forwardUrl=='recommend'){
						FN.page.go(successInfo.forwardUrl, {
							}, "load");
					}else{
							FN.page.go(successInfo.forwardUrl, {
								'action': 'login',
								'result': 'success'
							}, successInfo.type);
					}
				} else if(data.error == 1) {
					FN.ctrl.smallTip('账号不存在', 2000);
				} else if(data.error == 2) {
					FN.ctrl.smallTip('密码错误', 2000);
				} else {
					FN.ctrl.smallTip('登录失败', 2000);
				}
				FN.native.closeWaitDialog();
			}
		},
		'checkPasswordField': function(password) {
			if(password.length > 0) {
				params.dom().find(".btn-primary").removeAttr("disabled");
			} else {
				params.dom().find(".btn-primary").attr("disabled", "disabled");
			}
		}
	};
}).set('resetLogin', function(params) {
	var phone = '';
	var getResetLogin = function(data) {
		FN.util.setGlobelBGColor();
		phone = data.user_phone;
		FN.ctrl.show(params.ctrlName, data);
		FN.native.setHead({
			url: 'login',
			title: '重新设置登录密码'
		});
		FN.native.setNavi({
			show: 0
		});
		params.dom().find('.btn-primary').click(function() {
			FN.ctrl.get('resetLogin').sure();
		});
		sendSMSCode(phone);
		FN.native.closeWaitDialog();
	};
	var sendSMSCode = function(phone) {
		//todo
		FN.ctrl.setClock(60, params.dom().find("#reset_timer"), params.dom().find("#reset_timer"), sendSMSCode, phone);
		FN.ctrl.getSMS('2', phone);
	};
	return {
		'init': getResetLogin,
		'sure': function() {
			var code = params.dom().find('#reset_code').val();
			var password = params.dom().find('#reset_password').val();
			if(!FN.util.checkPassword(password)) {
				return;
			}
			if(!code.length > 0) {
				FN.ctrl.smallTip('验证码不能为空!', 1500);
				return;
			}
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.post('api/user/reset_psd_by_code', {
				phone: phone,
				code: code,
				password: password
			}, 'get_reset_psd_by_code.get', 'json');
			FN.callbackFunc['get_reset_psd_by_code.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == 0) {
					FN.native.writeEntry('mPhoneNum', phone, 'string', 'SmallTaurus');
					FN.native.sendDeviceCode();
					FN.user.saveToken(data.result.token.key, data.result.token.hash_code);
					FN.user.saveLoginStatus(true);
					FN.user.afterLoginData();
					FN.ctrl.smallTip('修改密码成功');
					var successInfo = FN.ctrl.get('phoneNumber').getSuccess();
					FN.page.go(successInfo.forwardUrl, {
						'action': 'login',
						'result': 'success'
					}, successInfo.type);
				} else {
					if(data.error == 1) {
						FN.ctrl.smallTip('操作失败', 2000);
					} else if(data.error == 2) {
						FN.ctrl.smallTip('验证码不正确', 2000);
					} else if(data.error == 3) {
						FN.ctrl.smallTip('验证码已失效', 2000);
					}
				}
			}
		}
	}

}).set('payPassword', function(params) {
	var phone = FN.user.getUserPhone();
	var getPayPassword = function(data) {
		FN.util.setGlobelBGColor();
		if(data && data.card) {
			params.card = data.card;
			FN.cache.putEntry('current_bankcard', params.card);
		}

		params.goBack = data.goBackUrl;
		params.forward = data.forwardUrl;
		FN.ctrl.show(params.ctrlName);
		FN.native.setHead({
			url: params.goBack,
			title: '设置支付密码'
		});
		FN.native.setNavi({
			show: 0
		});
		params.dom().find('.btn-primary').click(function() {
			return FN.ctrl.get('payPassword').sure();
		});
		FN.native.closeWaitDialog();
	}
	return {
		'init': getPayPassword,
		'sure': function() {
			params.dom().find('#set_pay_password_check').blur();

			var password = params.dom().find('#set_pay_password').val();
			var pwd = params.dom().find('#set_pay_password_check').val();
			if(!FN.util.checkLoginPassword(password)) {
				FN.ctrl.smallTip('请输入6-20位新密码');
				return;
			}
			if(password != pwd) {
				FN.ctrl.smallTip('两次输入的支付密码不一致，请确认后再提交', 3500);
				return;
			}
			if(!FN.util.checkPassword(password)) {
				return;
			}
			var phone = FN.user.getUserPhone();
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.post('api/my/set_pay_password', {
				pay_password: password
			}, 'get_pay_password.get', 'json');
			FN.callbackFunc['get_pay_password.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == '0') {
					FN.native.writeEntry('isSetPayPassword', '1', 'string', 'userInfo');
					FN.ctrl.smallTip('设置支付密码成功');

					FN.page.go(params.forward, params.card ? {
						card: params.card
					} : {});
				} else {
					//==TODO
					FN.ctrl.smallTip(data.result, 2000);
				}
				FN.native.closeWaitDialog();
			}
		}

	}
}).set('payPasswordNew', function(params) {
	//无论选择的是老卡还是新卡，没设置过密码都到这里
	var phone = FN.user.getUserPhone();
	var getPayPassword = function(data) {
		FN.util.setGlobelBGColor();

		//清理writeEntity中保存的isfrombandcard，返回payInput时不刷新页面
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		params.goBack = data.goBackUrl;
		params.certification = data.certification; //传递给addbankcardNew区分是否认证过
		params.bankName = data.bankName;
		params.fromtype = data.fromtype; //区分新卡(设置成功后转到addbankCardNew);老卡(设置完毕后转到payConfirmNew)

		if(params.fromtype == 'old')
			params.card_id = data.card_id;
		else
			params.bank_id = data.bank_id;

		params.product_cate_id = data.product_cate_id;
		params.product_id = data.product_id;
		params.pay_amount = data.pay_amount;
		params.reward_id = data.reward_id;
		params.red_envelope_type = data.red_envelope_type;
		params.red_envelope_amount = data.red_envelope_amount;
		params.red_envelope_id = data.red_envelope_id;

		FN.ctrl.show(params.ctrlName);
		
		FN.native.setHead({
			url: params.goBack,
			title: '设置支付密码'
		});
		FN.native.setNavi({
			show: 0
		});
		params.dom().find('.btn-primary').click(function() {

			return FN.ctrl.get('payPasswordNew').sure();
		});
		FN.native.closeWaitDialog();
	}
	return {
		'init': getPayPassword,
		'sure': function() {
			params.dom().find('#set_pay_password_check').blur();

			var password = params.dom().find('#set_pay_password').val();
			var pwd = params.dom().find('#set_pay_password_check').val();
			if(!FN.util.checkLoginPassword(password)) {
				FN.ctrl.smallTip('请输入6-20位新密码');
				return;
			}
			if(password != pwd) {
				FN.ctrl.smallTip('两次输入的支付密码不一致，请确认后再提交', 3500);
				return;
			}
			if(!FN.util.checkPassword(password)) {
				return;
			}
			var phone = FN.user.getUserPhone();
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.post('api/my/set_pay_password', {
				pay_password: password
			}, 'get_pay_password.get', 'json');
			FN.callbackFunc['get_pay_password.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == '0') {
					FN.native.writeEntry('isSetPayPassword', '1', 'string', 'userInfo');
					FN.ctrl.smallTip('设置支付密码成功');

					//FN.page.go(params.forward, params.card ? {card: params.card} : {});
					if(params.fromtype == 'new') {
						FN.page.go('addBankcardNew', {
							certification: params.certification, //是否认证过
							bankName: params.bankName,
							goBackUrl: 'payInput',
							product_cate_id: params.product_cate_id,
							product_id: params.product_id,
							pay_amount: params.pay_amount,
							bank_id: params.bank_id,
							reward_id: params.reward_id,
							red_envelope_type: params.red_envelope_type,
							red_envelope_amount: params.red_envelope_amount,
							red_envelope_id: params.red_envelope_id
						}, 'load');
					} else {

						//重置确认按钮的状态为不可用，防止重复提交
						params.dom().find('.btn-primary').attr("disabled", true);

						FN.native.post('api/pay/check_cardId', { //接口会创建订单。。
							pay_amount: params.pay_amount,
							card_id: params.card_id, //选中了老卡,会有cardid
							product_cate_id: params.product_cate_id,
							product_id: params.product_id,
							reward_id: params.reward_id,
							red_envelope_type: params.red_envelope_type,
							red_envelope_amount: params.red_envelope_amount,
							red_envelope_id: params.red_envelope_id
						}, 'check_cardId.post', 'json');
						FN.callbackFunc['check_cardId.post'] = function(data) {

							//重置确认按钮的状态为可用，防止重复提交
							params.dom().find('.btn-primary').attr("disabled", false);

							if(FN.ctrl.exception(data, true))
								return;
							if(data.error == '0') {
								//联动支付 1---只输入支付密码
								//联动快捷 4，富有 8---输入验证码和支付密码
								//之前的快捷支付，现在同时需要输入验证码和支付密码
								FN.page.go('payConfirmNew', {
									product_cate_id: params.product_cate_id,
									product_id: params.product_id,
									pay_amount: params.pay_amount,
									card_id: params.card_id,
									order_id: data.result.order_id,
									bank_phone: data.result.bank_phone,
									reward_id: params.reward_id,
									red_envelope_type: params.red_envelope_type,
									red_envelope_amount: params.red_envelope_amount,
									red_envelope_id: params.red_envelope_id,
									payChannel: data.result.pay_channel,
									payChannel_name: data.result.pay_channel_name,
									certification: params.certification
								}, 'load');

							} else if(data.error == '3') {
								FN.ctrl.smallTip(data.result.error_msg, 2500);

								//选的银行卡未实名认证，跳转到确认银行卡信息页面
								//用户的基本信息和 选中的红包信息传递过去，确认修改信息成功直接转到payconfirmnew页面
								FN.page.go('confirmBankcard', {
									certification: data.result.certification, //是否认证过
									bankName: data.result.bankName,
									bankPhone: data.result.bankPhone,
									bankCardNo: data.result.bankCardNo,
									idCard: data.result.idCard,
									userName: data.result.userName,
									goBackUrl: 'payInput',
									product_cate_id: params.product_cate_id,
									product_id: params.product_id,
									pay_amount: params.pay_amount,
									card_id: params.card_id,
									reward_id: params.reward_id,
									red_envelope_type: params.red_envelope_type,
									red_envelope_amount: params.red_envelope_amount,
									red_envelope_id: params.red_envelope_id
								}, 'load');

							} else { //失败错误提示1,2
								FN.ctrl.smallTip(data.result, 2000);
							}
						}

					}

				} else {
					//==TODO
					FN.ctrl.smallTip(data.result, 2000);
				}
				FN.native.closeWaitDialog();
			}
		}
	}

}).set('resetPayConfirm', function(params) {
	var phone = '';
	var fromsrc = '';
	var getResetPayConfirm = function(data) {
		FN.util.setGlobelBGColor();
		phone = data.user_phone;
		//判断是从,普通支付确认页面还是从，定存确认页面过来的
		fromsrc = data.fromsrc;
		//传递用户是否认证过,给重置支付密码页面,如果没认证就不需要填写身份证和姓名了；认证了就需要填写。
		params.iscertification = FN.native.readEntry('iscertification', 'string', 'certification');

		if(!phone) {
			phone = FN.cache.getEntry('user_phone');
		}
		FN.ctrl.show(params.ctrlName, data);

		//根据是否认证过,是否显示姓名和身份证输入
		if(params.iscertification != undefined && params.iscertification == '1') {
			$('#txt_name').removeClass('hide');
			$('#txt_card').removeClass('hide');
		}

		if(fromsrc == '2')
			FN.native.setHead({
				url: 'payDepositConfirm',
				title: '重新设置支付密码'
			});
		else
			FN.native.setHead({
				url: 'payConfirmNew',
				title: '重新设置支付密码'
			});

		FN.native.setNavi({
			show: 0
		});

		params.dom().find('.btn-primary').click(function() {
			FN.ctrl.get('resetPayConfirm').sure();
		});

		//发送重置短信
		sendSMSCode(phone);

		FN.native.closeWaitDialog();
	};
	var sendSMSCode = function(phone) {
		//todo
		FN.ctrl.setClock(60, params.dom().find("#reset_confirm_timer"), params.dom().find("#reset_confirm_timer"), sendSMSCode, phone);
		FN.ctrl.getSMS('3', phone);
	};
	return {
		'init': getResetPayConfirm,
		'sure': function() {
			//根据是否认证过,是否显示姓名和身份证输入
			var id;
			var name;
			if(params.iscertification != undefined && params.iscertification == '1') {
				id = params.dom().find('#reset_confirm_userid').val();
				name = params.dom().find('#reset_confirm_username').val();

			} else {
				id = "";
				name = "";
			}

			var password = params.dom().find('#reset_confirm_password').val();
			var code = params.dom().find('#reset_confirm_code').val();

			if(code.length < 4) {
				FN.ctrl.smallTip('请输入正确的验证码', 1500);
				return;
			}

			//根据是否认证过,是否显示姓名和身份证输入
			if(params.iscertification != undefined && params.iscertification == '1') {
				if(!name) {
					FN.ctrl.smallTip('请输入正确的姓名', 1500);
					return;
				}
				if(!id || (id.length != 18 && id.length != 15)) {
					FN.ctrl.smallTip('请输入正确的身份证信息', 1500);
					return;
				}
			}

			if(!FN.util.checkLoginPassword(password)) {
				FN.ctrl.smallTip('密码长度6-20位', 1500);
				return;
			}
			if(!FN.util.checkPassword(password)) {
				return;
			}
			if(!code) {
				FN.ctrl.smallTip('验证码不能为空', 1500);
				return;
			}
			password = FN.util.MD5(FN.util.MD5(password) + phone.substring(7));
			FN.native.post('api/my/reset_paypassword_by_msg', {
				id_card: id,
				code: code,
				pay_password: password,
				user_name: name
			}, 'get_reset_pay_confirm.get', 'json');
			FN.native.openWaitDialog();
			FN.callbackFunc['get_reset_pay_confirm.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == '0') {
					FN.ctrl.smallTip('修改支付密码成功');
					FN.native.closeWaitDialog();

					if(fromsrc == '2')
						FN.page.go('payDepositConfirm');
					else
						FN.page.go('payConfirmNew');
				} else {
					if(data.error == '1') {
						if(data.result == '1') {
							FN.ctrl.smallTip('验证码错误');
						} else if(data.result == '2') {
							FN.ctrl.smallTip('验证码过期');
						} else if(data.result == '3') {
							FN.ctrl.smallTip('密码更新失败');
						} else if(data.result == '4') {
							FN.ctrl.smallTip('用户名或身份证有误');
						} else if(data.result == '5') {
							FN.ctrl.smallTip('验证码已失效');
						}
					} else {
						FN.ctrl.smallTip('操作失败！', 3000);
					}
				}
				FN.native.closeWaitDialog();
			}
		}
	}
}).set('registerSuccess', function(params) {
	var getregisterSuccess = function(data) {
		params.data = data;
		FN.util.setGlobelBGColor();
		if(data.typestr == undefined) data.typestr = null;
		if(data.haveExperience == undefined) data.haveExperience = null;
		if(data.havePlatformPro == undefined) data.havePlatformPro = null;
		if(data.showNewbieGift == undefined) data.showNewbieGift = null;
		//体验金&推广链接
		
		FN.ctrl.show(params.ctrlName, data);

		setTimeout(function() {
			myScroll.refresh(); //加载图片重新计算高度
		}, 500);
		FN.native.setHead({
			title: '注册成功'
		});
		FN.native.setNavi({
			show: 0
		});

		//送88元红包显示
		if(params.data.redPackageMsg != undefined && params.data.redPackageMsg != null) {
			$('#registerSuccess-hongbao').hide();
			$('#registerSuccess-hongbao-content').html('');
			$('#registerSuccess-hongbao').show();
			$('#registerSuccess-hongbao-content').html(params.data.redPackageMsg);
		}
		//送流量显示
		if(params.data.liuliangMsg != undefined && params.data.liuliangMsg != null) {
			$('#registerSuccess-liuliang').hide();
			$('#registerSuccess-liuliang-content').html('');
			$('#registerSuccess-liuliang').show();
			$('#registerSuccess-liuliang-content').html(params.data.liuliangMsg);
		}
		//送话费显示
		if(params.data.huafeiMsg != undefined && params.data.huafeiMsg != null) {
			$('#registerSuccess-huafei').hide();
			$('#registerSuccess-huafei-content').html('');
			$('#registerSuccess-huafei').show();
			$('#registerSuccess-huafei-content').html(params.data.huafeiMsg);
		}
		//提示平分三万现金
		if(params.data.friendShareReg!= undefined && params.data.friendShareReg ==1) {

			$('#registerSuccess-yaoqing').hide();
			$('#registerSuccess-yaoqing-content').html('');
			$('#registerSuccess-yaoqing').show();
			$('#registerSuccess-yaoqing-content').html(params.data.friendShareRegMsg);
		}

		//注册成功后送抽奖
		/*if(params.data.luckyDrawMsg!=undefined&&params.data.luckyDrawMsg!=null){
		 $('#paySuccess-luckdraw').hide();
		 $('#paySuccess-luckdraw-content').text('');
		 $('#paySuccess-luckdraw').show();
		 $('#paySuccess-luckdraw-content').text(params.data.luckyDrawMsg);
		 }
		 //页面上去投资抽奖
		 params.dom().find('#paySuccess-luckdraw').click(function () {
		 FN.ctrl.get('registerSuccess').luckdraw();
		 });*/

		//页面本身的按钮。。
		//跳转,注册成功:如果从购买页面过来的，还是回到购买页面;如果从我的投资过来，还是回到我的投资。。
		/**
		params.dom().find('.btn').click(function() {
			FN.ctrl.get('registerSuccess').sure();
		});**/
		FN.native.closeWaitDialog();
	}

	return {
		'init': getregisterSuccess,
		'sure': function() {
			FN.page.go(params.data.fromurl, {
				'action': 'register',
				'result': 'success'
			}, params.data.typestr);
		},
		'experience': function() {
			//普通注册激活的绑卡操作
			FN.other.bindfrom=0;
			FN.page.go('addBankcard', {
				fromurl: 'registerSuccess',
				goBackUrl: params.data.fromurl,
				experience_id: params.data.experience_id,
				frombind: true,
			}, 'load');
		},
		'experiencebind': function() {
			if(params.data.fromurl=='productList'){
				FN.other.bindfrom=2;
			}else if(params.data.fromurl=='recommend'){
				FN.other.bindfrom=1;
			}
			/**
			FN.page.go('addBankcard', {
				fromurl: 'registerSuccess',
				goBackUrl: params.data.fromurl,
				experience_id: params.data.experience_id,
				frombind: true,
			}, 'load');**/
		   FN.page.go('productList', '', 'load');
		},
		'toproductlist': function() { //暂时先隐藏 对话框处理。。
			//点击对话框上的按钮，跳转到产品列表页面。。。
			FN.page.go('productList'); //{'action':'register','result':'success'}
		},
		'luckdraw': function() {
			FN.native.loadExternal(params.data.luckyDrawURL);
		},
		'showNewbieGift': function() {
			FN.native.loadExternal(params.data.showNewbieGiftUrl);
		}
	}
}).set('banks', function(params) {
	//支付银行列表页面处理逻辑
	var getBanks = function(data) {
		params.goBackUrl = data.goBackUrl;
		//FN.native.openWaitDialog();
		FN.native.get('api/common/get_pay_bank', {}, 'banks.get', 'json');
		FN.callbackFunc['banks.get'] = function(data) {
			if(FN.ctrl.exception(data)) {
				return;
			}
			if(data.error != '1') {
				params.data = data;
				data.result.goBackUrl = params.goBackUrl;
				var bs = {
					'banks': data.result
				};
				FN.ctrl.show(params.ctrlName, bs);
			}
			FN.native.closeWaitDialog();
			myScroll.refresh();
		}
		if(params.goBackUrl == 'addBankcard') {
			FN.native.setHead({
				url: params.goBackUrl,
				title: '选择银行'
			});
		} else {
			FN.native.setHead({
				url: params.goBackUrl,
				title: '支持银行'
			});
		}
		FN.native.setNavi({
			show: 0
		});
	}
	return {
		'init': function(data) {
			getBanks(data);
		},
		'update': function() {
			FN.native.setHead({
				url: params.goBackUrl,
				title: '支持银行'
			});
			FN.native.setNavi({
				show: 0
			});
			//			FN.native.adjustAppHeight();
		},
		'goToAddBankCard': function(index) {
			var bankInfo = params.data.result[index];
			FN.page.go('addBankcard', bankInfo);
		}
	}

}).set('addBankcard', function(params) {
	var getBankcardManage = function(data) {

		FN.util.setGlobelBGColor();
		params.card = {};
		params.type = data.type;
		params.forwardUrl = data.forwardUrl || 'bankcardManage';
		params.goBackUrl = data.goBackUrl || 'bankcardManage';

		//根据是否认证身份信息
		FN.native.get('api/my/get_user_auth_info', {}, 'get_user_auth_info.get', 'json');
		FN.callbackFunc['get_user_auth_info.get'] = function(data) {

			if(FN.ctrl.exception(data))
				return;

			params.data = data;

			if(data.result.userName != null) { //实名认证过

				var userName = params.data.result.userName;
				var idCard = params.data.result.idCard;
				data.userNameString = '*' + userName.substring(1);
				data.idCardString = idCard.substring(0, 6) + '********' + idCard.substring(14);

			}

			FN.ctrl.show(params.ctrlName, {
				'datas': data
			});


			//设置键盘高度。。。。android需要特殊处理/ios页面会自动缩放
			//这个只需要放在一个高度计算不正确的页面即可,若高度不对，是键盘的高度打乱了页面高度
			if (window.top.local_obj) {
				FN.util.resetBodyHeight();
			}


			params.dom().find('#bankcard-pop').hide();

			FN.native.closeWaitDialog();
		}

		FN.util.adjustView(false, 'addBankcard');
		FN.native.setHead({
			url: params.goBackUrl,
			title: '添加银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
	};
	var current_count = 1; //统计请求次数，当数据修改后，重新统计current_count
	var disable_error = 0;
	var frombind; //方法里的变量，切换时需重置
	var experience_id;

	var mbankID = ""; //当前临时数据
	var muserName = "";
	var midCard = "";
	var mcardNo = "";
	var mbankPhone = "";
	var carddata = 0;
	var card_id = 0; //方法全局变量 "load"后数据依旧保存
	var iscertification=0;
	var bindbankexperience = function(data) {
		FN.util.setGlobelBGColor();
		params.card = {}; //保存全局元素
		params.type = 0;
		carddata = data.carddata;

		params.forwardUrl = data.forwardUrl;
		params.goBackUrl = data.goBackUrl;
		//param.experienceid=data.;
		disable_error = 0;//忽略的情况统计
		current_count = 1;//请求错误次数统计
		card_id = 0;
		experience_id = data.experience_id;
		data.result = {};
		data.result.userName = null; //界面输入模式
		//获取是否实名认证
		FN.native.get('api/my/get_user_auth_info', {}, 'get_user_auth_info.get', 'json');
		FN.callbackFunc['get_user_auth_info.get'] = function(infodata) {
			if(FN.ctrl.exception(infodata))
				return;
			if(infodata.result.userName != null) { //实名认证过
				iscertification=1;
				data.result.userName=infodata.result.userName;
				data.userNameString = data.result.userName;
				data.idCardString = infodata.result.idCard;
			}else{
				iscertification=0;
			}
			FN.ctrl.show(params.ctrlName, {
					'datas': data
			});

			if(carddata) {
				card_id = carddata.cardId;
				if(iscertification==0){//实名认证的不传递用户信息值
					params.dom().find('#userName').val(carddata.userName);
					params.dom().find('#IDNo').val(carddata.idCard);
				}
				params.dom().find('#bankNo').val(carddata.bankCardNo);
				params.dom().find('#cardName').html(carddata.bankName);
				params.dom().find('#cardName').css('color', 'black');
				params.dom().find('#userPhone').val(carddata.bankPhone);
				params.card.bankId = carddata.bankId;
			}
			params.dom().find('#bankcard-pop').hide();
			FN.native.closeWaitDialog();
		}
		FN.util.adjustView(false, 'addBankcard');
		FN.native.setHead({
			url: params.goBackUrl,
			title: '绑定银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
	};
	var disablecount = function(data, errormsg) {
		if(data == 1) {
			FN.ctrl.callConfirm({
				title: '温馨提示',
				content: errormsg,
				sureDes: '继续绑卡',
				cancelDes: '取消',
				confirmFun: function() {
					disable_error = disable_error + 1;
					//alert(disable_error);
					FN.ctrl.confirmCtrl(false);
					FN.ctrl.get('addBankcard').bindexperience();
				},
				cancelFun: function() {
					FN.ctrl.confirmCtrl(false);
					return;
				}
			});
		} else if(data == 2) {
			FN.ctrl.callConfirm({
				title: '温馨提示',
				content: errormsg,
				sureDes: '继续绑卡',
				cancelDes: '取消',
				confirmFun: function() {
					disable_error = disable_error + 2;

					FN.ctrl.confirmCtrl(false);
					FN.ctrl.get('addBankcard').bindexperience();
				},
				cancelFun: function() {
					FN.ctrl.confirmCtrl(false);
					return;
				}
			});
		} else if(data == 3) {
			FN.other.experiencebind(true);
		} else if (data==4){
			//alert("count"+disable_error);
			FN.ctrl.smallTip(errormsg);
			current_count = current_count + 1;
		}else{
			FN.ctrl.smallTip(errormsg.msg);//其他未知错误，弹出提示
		}
	}
	return {
		'init': function(data) {
			if(data.frombind) {
				frombind = true;
				bindbankexperience(data); //体验金绑卡
			} else {
				frombind = false;
				getBankcardManage(data);
			}
		},
		'update': function(data) { //选择银行卡回来
			current_count = 1;
			FN.util.setGlobelBGColor();
			FN.util.adjustView(false, 'addBankcard');
			if(frombind){
				FN.native.setHead({
					url: params.goBackUrl,
					title: '绑定银行卡'
				});
			}else{
				FN.native.setHead({
					url: params.goBackUrl,
					title: '添加银行卡'
				});
			}
			FN.native.setNavi({
				show: 0
			});
			if(data && data.id && data.bankName) {
				params.card.bankId = data.id;
				params.card.bankName = data.bankName;
				params.card.dailyLimit = data.dailyLimit;
				params.card.eachLimit = data.eachLimit;
				params.card.disc = data.disc;
				params.card.eachLimitDesc = data.eachLimitDesc;
				setTimeout(function() {
					$('#cardName').html(data.bankName);
				}, 100);
				params.dom().find('#cardName').html(params.card.bankName);
				params.dom().find('#cardName').css('color', 'black');
			}
		},
		'goToSelectedCard': function() {
			FN.page.go('banks', {
				goBackUrl: 'addBankcard'
			}, 'load');
		},
		'setInputFocus': function(_el) {
			_el.focus();
		},
		'goToNext': function(type) { //确认添加，这里只是暂存用户的银行卡信息,在购买的时候需要进一步确认
			//alert(frombind);
			if(frombind) {
				FN.ctrl.get('addBankcard').bindexperience("");
				return;
			}
			params.dom().find('#userPhone').blur();

			//用户名称
			var name;
			if(type == 'is_certif') { //认证过
				name = params.data.result.userName;
			} else { //未认证过
				name = params.dom().find('#userName').val();
			}
			if(name.length == 0) {
				FN.ctrl.smallTip('姓名不能为空', 1500);
				return;
			}

			// 验证身份证格式
			var identi;
			if(type == 'is_certif') {
				identi = params.data.result.idCard;
			} else {
				identi = params.dom().find('#IDNo').val();
			}
			if(!identi || (identi.length != 18 && identi.length != 15)) {
				FN.ctrl.smallTip('请输入正确的身份证号', 1500);
				return;
			}

			// 银行卡选项有没有选择
			if(params.dom().find('#cardName').html() == '请点击选择银行卡') {
				FN.ctrl.smallTip('请选择银行卡');
				return;
			}

			// 验证银行卡格式
			var bankNo = params.dom().find('#bankNo').val();
			if(!(bankNo.length <= 19 && bankNo.length >= 16) && FN.util.matchNumber(bankNo)) {
				FN.ctrl.smallTip('请输入正确的银行卡号', 1500);
				return;
			}

			// 验证预留手机格式
			var userPhone = params.dom().find('#userPhone').val();
			if(!FN.util.phoneRule(userPhone)) {
				FN.ctrl.smallTip('请输入正确的手机号', 1500);
				return;
			}

			// 发送请求参数
			//实名认证过的姓名和身份证传递''
			if(type == 'is_certif') { //实名认证过
				name = '';
				identi = '';
			}

			var bankID = params.card.bankId; //选银行返回
			var userName = name;
			var idCard = identi;
			var cardNo = bankNo;
			var bankPhone = userPhone;

			FN.native.post('api/my/bind_bank_card_not_auth', {
				bank_id: bankID,
				card_no: cardNo,
				'id_card': idCard,
				user_name: userName,
				bank_phone: bankPhone
			}, 'bind_bank_card.post', 'json');

			FN.native.openWaitDialog();

			FN.callbackFunc['bind_bank_card.post'] = function(data) {
				FN.native.closeWaitDialog();
				if(FN.ctrl.exception(data, true)) {
					return;
				}

				if(data.error == 0) { // 添加银行卡信息成功
					//跳转到成功页面
					FN.page.go('addbankinfoSuccess', {
						type: params.type,
						forwardUrl: params.forwardUrl
					}, 'load');

				} else {
					FN.ctrl.smallTip(data.result);
				}
			}
		},
		'bindexperience': function(type) { //确认添加，这里只是暂存用户的银行卡信息,在购买的时候需要进一步确认

			params.dom().find('#userPhone').blur();
			//用户名称

			var name = params.dom().find('#userName').val();
			if(iscertification==0){//未实名认证的val()传空
				if(name.length == 0) {
					FN.ctrl.smallTip('姓名不能为空', 1500);
					return;
				}
			}
			
			// 验证身份证格式
			var identi = params.dom().find('#IDNo').val();
			if(iscertification==0){
				if(!identi || (identi.length != 18 && identi.length != 15)) {
					FN.ctrl.smallTip('请输入正确的身份证号', 1500);
					return;
				}
			}
			// 银行卡选项有没有选择

			if(params.dom().find('#cardName').html() == '请点击选择银行卡') {
				FN.ctrl.smallTip('请选择银行卡');
				return;
			}
			// 验证银行卡格式
			var bankNo = params.dom().find('#bankNo').val();
			if(!(bankNo.length <= 19 && bankNo.length >= 16) && FN.util.matchNumber(bankNo)) {
				FN.ctrl.smallTip('请输入正确的银行卡号', 1500);
				return;
			}
			// 验证预留手机格式
			var userPhone = params.dom().find('#userPhone').val();
			if(!FN.util.phoneRule(userPhone)) {
				FN.ctrl.smallTip('请输入正确的手机号', 1500);
				return;
			}
			//缓存
			var bankID = params.card.bankId; //选银行返回
			//bankID=8;//todo
			var userName = name;
			var idCard = identi;
			var cardNo = bankNo;
			var bankPhone = userPhone;
			//count++; disablecount(count,"errormsg");

			if(mbankID != bankID || muserName != userName || midCard != idCard || mcardNo != cardNo || mbankPhone != bankPhone) {
				mbankID = bankID;
				muserName = userName;
				midCard = idCard;
				mcardNo = cardNo;
				mbankPhone = bankPhone;
				current_count = 1;
				disable_error = 0; //如果和上一次数据不一致的话，重置
			}

			
			FN.native.openWaitDialog();
			FN.native.post('api/my_experience/bind_bank_card', {
				card_id: card_id,
				id_card: idCard,
				user_name: userName,
				card_no: cardNo,
				bank_phone: bankPhone,
				bank_id: bankID,
				disable_error: disable_error,
				experience_id: experience_id,
				current_count: current_count,
				//current_count:3,
			}, 'bind_bank_card.post', 'json');

			FN.callbackFunc['bind_bank_card.post'] = function(data) {
				FN.native.closeWaitDialog();
				if(FN.ctrl.exception(data, true)) {
					return;
				}

				if(data.error == 0) { // 添加银行卡信息成功

					var mdata = {};
					mdata.card_id = data.result.card_id;
					mdata.sign = data.result.sign;
					mdata.id_card = idCard;
					mdata.user_name = userName;
					mdata.card_no = cardNo;
					mdata.bankPhone = bankPhone; //data.bankPhone='13588353605';
					mdata.bank_id = bankID;
					mdata.disable_error = disable_error;
					mdata.experience_id = experience_id;
					mdata.current_count = current_count;
					var order_id = "";
					var pay_channel_name = "";
					if(data.result.needPay == 1) {
						order_id = data.result.result.order_id;
						pay_channel_name = data.result.result.pay_channel_name;
					}

					//转到下个页面，普通绑卡验证码 和 1元支付验证码
					FN.page.go('addBankcardSMS', {
						fromurl: 'recommend',
						goBackUrl: 'addBankcard',
						frombind: true,
						data: mdata,
						needPay: data.result.needPay,
						order_id: order_id,
						pay_channel_name: pay_channel_name,
					}, 'load');

				} else {
					disablecount(data.error, data.result);
				}
			}
		},
		bindignore: function() {
			disable_error = disable_error + 4;
			FN.ctrl.get('addBankcard').bindexperience();
		},
	}
}).set('addBankcardSMS', function(params) {
	var getBankcardManage = function(data) {
		FN.util.setGlobelBGColor();
		params.card = data.card;
		params.data = data.data;
		params.type = data.type;
		params.forwardUrl = data.forwardUrl;
		params.goBackUrl = data.goBackUrl;
		FN.ctrl.show(params.ctrlName, data.data);
		params.dom().find('#addSuccess').hide();
		params.i = 1;
		sendSMSCode(data.data.bankPhone);

		FN.native.setHead({
			url: 'addBankcard',
			title: '添加银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
		FN.native.closeWaitDialog();
	};
	// 发送短信
	var sendSMSCode = function(phone) {

		FN.ctrl.setClock(60, params.dom().find("#addBankcard_timer"), params.dom().find("#addBankcard_timer"), sendSMSCode, phone);
		if(params.i) {
			params.i = 0;
			return;
		}
		FN.ctrl.getYeeSMS(params.data.cer_id);
	};
	var frombind = false; //全局变量，切换时需重置
	var needpay;
	var order_id;

	//体验金绑卡
	var bindbankexperience = function(data) {
		FN.util.setGlobelBGColor();
		params.data = data.data;
		needpay = data.needPay;
		order_id = data.order_id;
		//alert(needpay+""+order_id+""+data.data.pay_channel_nam);
		if(needpay != 1) data.data.pay_channel_name = null; //支付渠道设置为空
		else data.data.pay_channel_name = data.pay_channel_name;
		data.data.frombind = frombind; //区分是否来自体验金，不同的界面展示

		FN.ctrl.show(params.ctrlName, data.data);

		params.dom().find('#addSuccess').hide();
		params.i = 1;

		sendSMSCodeBind(data.data.bankPhone);

		FN.native.setHead({
			url: data.goBackUrl,
			title: '手机验证'
		});
		FN.native.setNavi({
			show: 0
		});
		FN.native.closeWaitDialog();
	};
	var sendSMSCodeBind = function(phone) {
		FN.ctrl.setClock(60, params.dom().find("#addBankcard_timer"), params.dom().find("#addBankcard_timer"), sendSMSCodeBind, phone);
		if(params.i) {
			params.i = 0;
		} else {
			//alert("sendMsgagain"); //默认进入不请求，第二次
			/**
			alert(params.data.card_id+params.data.sign+params.data.id_card+ params.data.user_name
			+params.data.card_no+ params.data.bankPhone+params.data.bank_id+params.data.disable_error
			+params.data.experience_id+params.data.current_count);**/
			if(needpay != 1) {
				//alert(params.data.sign);
				//绑卡和发短信接口公用
				FN.native.post('api/my_experience/bind_bank_card', {
					card_id: params.data.card_id,
					sign: params.data.sign,
					id_card: params.data.id_card,
					user_name: params.data.user_name,
					card_no: params.data.card_no,
					bank_phone: params.data.bankPhone,
					bank_id: params.data.bank_id,
					disable_error: params.data.disable_error,
					experience_id: params.data.experience_id,
					current_count: params.data.current_count
				}, 'msg.post', 'json');
				FN.callbackFunc['msg.post'] = function(data) {
					if(FN.ctrl.exception(data, true)) {
						return;
					}
					if(data.error == 0) { // 添加银行卡信息成功
						FN.ctrl.smallTip("短信已重发");
						params.data.sign = data.result.sign; //重置sign
					} else if(data.error == 4) {
						FN.ctrl.smallTip(data.result.message);
						params.data.sign = data.result.sign; //重置sign
					} else {
						FN.ctrl.smallTip(data.result);
					}
				}
			} else {
				//支付的发短信
				FN.native.post('api/pay/send_pay_message', {
					order_id: order_id
				}, 'send_pay_message.post', 'json');
				FN.callbackFunc['send_pay_message.post'] = function(data) {
					if(FN.ctrl.exception(data, true)) {
						return;
					}
					if(data.error == 0) { // 添加银行卡信息成功
						FN.ctrl.smallTip("短信已重发");
					} else if(data.error == 3) {
						//FN.ctrl.smallTip(data.result.msg);
						order_id = data.result.order_id;
						FN.ctrl.smallTip('正在为您切换支付平台,短信已重发', 1500);
						$('#pay_channel_name').html(data.result.pay_channel_name);	
					} else {
						FN.ctrl.smallTip(data.result);
					}
				}
			}
		}
	}
	return {
		'init': function(data) {

			if(data.frombind) {
				frombind = true;
				bindbankexperience(data); //体验金绑卡
			} else {
				frombind = false;
				getBankcardManage(data);
			}
		},
		'update': function() {
			FN.util.setGlobelBGColor();
			sendSMSCode(params.userPhone);
			FN.native.setHead({
				url: 'addBankcard',
				title: '添加银行卡'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'goToNext': function() {
			params.dom().find('#codeInput').blur();
			// 检测是否是数字
			var codeValue = params.dom().find("#codeInput").val();

			if(codeValue.length >= 4) { // 验证码格式正确
				FN.native.post('api/my/bind_bank_card', {
					cer_id: params.data.cer_id,
					code: codeValue
				}, 'bind_bank_card.post', 'json');
				FN.native.openWaitDialog();
				FN.callbackFunc['bind_bank_card.post'] = function(data) {
					if(FN.ctrl.exception(data, true)) {
						return;
					}
					//					params.card.id = data.result;
					params.card = data.result;
					if(data.error == 0) {
						FN.ctrl.smallTip('绑定银行卡成功');
						var isSetPayPassword = FN.native.readEntry('isSetPayPassword', 'string', 'userInfo');
						if(isSetPayPassword == '1') {
							FN.page.go(params.forwardUrl, {
								type: params.type,
								card: params.card
							});
						} else {
							FN.page.go('payPassword', {
								goBackUrl: params.goBackUrl,
								forwardUrl: params.forwardUrl,
								card: params.card
							}, 'load');
						}

					} else if(data.error == 2) {
						FN.ctrl.smallTip(data.result.error_msg, 2000);
					}
					FN.native.closeWaitDialog();
				}
			} else { // 验证码格式错误
				FN.ctrl.smallTip('请输入正确的验证码', 1500);
			}
		},
		'bind': function() {
			params.dom().find('#codeInput').blur();
			// 检测是否是数字
			var codeValue = params.dom().find("#codeInput").val();

			if(codeValue.length >= 4) { // 验证码格式正确
				FN.native.openWaitDialog();

				//alert("new"+params.data.card_id);

				if(needpay != 1) {//绑卡
					FN.native.post('api/my_experience/bind_bank_card', {
						message_code: codeValue,
						card_id: params.data.card_id,
						id_card: params.data.id_card,
						user_name: params.data.user_name,
						card_no: params.data.card_no,
						bank_phone: params.data.bankPhone,
						bank_id: params.data.bank_id,
						disable_error: params.data.disable_error,
						experience_id: params.data.experience_id,
						current_count: params.data.current_count
					}, 'bind_bank_card.post', 'json');
					FN.callbackFunc['bind_bank_card.post'] = function(data) {
						FN.native.closeWaitDialog();
						if(FN.ctrl.exception(data, true)) {
							return;
						}
						if(data.error == 0) { // 添加银行卡信息成功
							FN.page.go('addbankinfoSuccess', {
								frombind: true,
								amount: data.result.amount,
								redAmount: data.result.redAmount,
								redOnline: data.result.redOnline,
								redDesc: data.result.redDesc,
								moneyDesc: data.result.moneyDesc,
								bindCardMoneyDesc:data.result.bindCardMoneyDesc,
								expiredFlag:data.result.expiredFlag
							}, 'load');
						} else {
							FN.ctrl.smallTip(data.result);
						}

					};
				} else {//支付(1元)
					FN.native.post('api/pay/experience_pay', {
						order_id: order_id,
						phone_code: codeValue,
					}, 'experience_pay.post', 'json');
					FN.callbackFunc['experience_pay.post'] = function(data) {
						FN.native.closeWaitDialog();
						if(FN.ctrl.exception(data, true)) {
							return;
						}
						if(data.error == 0) { // 添加银行卡信息成功
							FN.page.go('addbankinfoSuccess', {
								frombind: true,
								amount: data.result.amount,
								redAmount: data.result.redAmount,
								redOnline: data.result.redOnline,
								redDesc: data.result.redDesc,
								moneyDesc: data.result.moneyDesc,
								bindCardMoneyDesc:data.result.bindCardMoneyDesc,
								expiredFlag:data.result.expiredFlag
							}, 'load');
						} else if(data.error == 3) {//切换支付渠道
							//FN.ctrl.smallTip(data.result.msg);
							order_id = data.result.order_id;
							FN.ctrl.smallTip('正在为您切换支付平台,短信已重发', 1500);
							$('#pay_channel_name').html(data.result.pay_channel_name);
						} else {
							FN.ctrl.smallTip(data.result);
						}

					}
				}

			} else { // 验证码格式错误
				FN.ctrl.smallTip('请输入正确的验证码', 1500);
			}
		}
	}
}).set('editBankcard', function(params) { //编辑银行卡详情页面--删除
	var editBankcard = function(data) {

		FN.util.setGlobelBGColor();

		//传递过来的参数
		params.card_id = data.card_id;

		FN.native.get('api/my/get_user_bank_card_info', {
			card_id: params.card_id
		}, 'get_user_bank_card_info.get', 'json');
		FN.callbackFunc['get_user_bank_card_info.get'] = function(data) {

			if(FN.ctrl.exception(data))
				return;

			if(data.error == '0') {

				params.data = data.result;
				/* var userName = params.data.result.userName;
				 var idCard = params.data.result.userIdCardNo;
				 var bankCardNo=params.data.result.bankCardNo;

				 //处理姓名和身份证***
				 params.data.userNameString = '*' + userName.substring(1);
				 params.data.idCardString = idCard.substring(0, 6) + '********' + idCard.substring(14);
				 params.data.bankCardNoString = bankCardNo.substring(0, 4) + '********' + bankCardNo.substring(12);*/

				FN.ctrl.show(params.ctrlName, params.data);
			} else { //错误信息
				FN.ctrl.smallTip(data.result, 1500);
				return;
			}

			FN.native.closeWaitDialog();
		}
		FN.util.adjustView(false, 'editBankcard');
		FN.native.setHead({
			url: 'bankcardManage',
			title: '编辑银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function(data) {
			editBankcard(data);
		},
		'update': function() { //选择银行卡回来
			FN.util.setGlobelBGColor();
			FN.util.adjustView(false, 'editBankcard');
			FN.native.setHead({
				url: 'bankcardManage',
				title: '编辑银行卡'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'goToNext': function() { //删除银行卡，弹窗确认

			//银行卡是否验证过,文案提示不同
			var content = '';
			if(params.data.status == 0) {
				content = '根据同卡进出原则，删除银行卡，该银行卡购买的项目到期后仍会返还到原银行卡。您确定要删除吗？';
			} else if(params.data.status == 3) {
				content = '您确定要删除该银行卡吗';
			}

			FN.ctrl.callConfirm({
				title: '删除银行卡',
				content: content,
				sureDes: '确定',
				cancelDes: '取消',
				confirmFun: function() {

					//删除已验证过的银行卡,需要发短信
					if(params.data.status == 0)
						FN.page.go('removeBankCard', {
							'userPhone': FN.user.getUserPhone(),
							'cardid': params.card_id
						}, 'load');

					//直接删除,并回到银行卡管理页面
					else if(params.data.status == 3)
						FN.ctrl.get('editBankcard').delectNoConfirm();

					//隐藏对话框
					FN.ctrl.confirmCtrl(false);
				},
				cancelFun: function() {
					FN.ctrl.confirmCtrl(false);
				}
			});
		},
		'delectNoConfirm': function() {
			//2 未经过确认的银行卡，直接删除,不用发短信验证码
			FN.native.post('api/my/del_bank_card', {
				card_id: params.card_id,
				code: ''
			}, 'del_bank_card.post', 'json');

			FN.native.openWaitDialog();

			FN.callbackFunc['del_bank_card.post'] = function(data) {
					if(FN.ctrl.exception(data, true))
						return;
					if(data.error == 0) {
						FN.ctrl.smallTip('删除银行卡成功');
						params.dom().find('#removeSuccess').show();
						setTimeout(function() {
							params.dom().find('#removeSuccess').hide();
							FN.page.go('bankcardManage', {
								type: 0,
								fromsrc: '1'
							});
						}, 1000);
					} else if(data.error == 2) {
						FN.ctrl.smallTip(data.result);
					}
					FN.native.closeWaitDialog();
				}
				//----------------
		}
	}
}).set('addBankcardNew', function(params) {
	//新的添加绑定银行卡,根据payInput传递过来(已设置支付密码)或者设置支付密码传递过来
	//如果是老用户，添加新卡会把"姓名"和"身份证"也带过来(已经有了)

	var getAddBankcardNew = function(data) {
		FN.util.setGlobelBGColor();

		//清理writeEntity中保存的isfrombandcard，返回payInput时不刷新页面
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		params.product_cate_id = data.product_cate_id;
		params.product_id = data.product_id;
		params.pay_amount = data.pay_amount;
		params.bank_id = data.bank_id;
		params.reward_id = data.reward_id;
		params.red_envelope_type = data.red_envelope_type;
		params.red_envelope_amount = data.red_envelope_amount;
		params.red_envelope_id = data.red_envelope_id;
		params.certification = data.certification;
		params.bankName = data.bankName;

		params.goBackUrl = data.goBackUrl;

		if(params.certification == 1) {
			FN.native.get('api/my/get_user_auth_info', {}, 'get_user_auth_info.get', 'json');
			FN.callbackFunc['get_user_auth_info.get'] = function(data) {
				if(FN.ctrl.exception(data))
					return;
				if(data.error == '0') {

					params.data = data.result;
					params.data.certification = params.certification;
					params.data.bankName = params.bankName;
					FN.ctrl.show(params.ctrlName, params.data);
				}
				FN.native.closeWaitDialog();
			}
		} else {
			FN.ctrl.show(params.ctrlName, params);

			setTimeout(function() {
				myScroll.refresh();
			}, 500);
		}


		//FN.util.adjustView(false, 'addBankcardNew');
		FN.native.setHead({
			url: params.goBackUrl,
			title: '添加银行卡'
		});
		FN.native.setNavi({
			show: 0
		});



	};

	return {
		'init': function(data) {
			//alert('更新'+JSON.stringify(data));
			getAddBankcardNew(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.util.adjustView(false, 'addBankcardNew');
			FN.native.setHead({
				url: params.goBackUrl,
				title: '添加银行卡'
			});
			FN.native.setNavi({
				show: 0
			});
		},

		'setInputFocus': function(_el) {
			_el.focus();
		},

		'goToNext': function() {
			params.dom().find('#userPhone').blur();
			var name;

			if(params.certification != 1) {
				name = params.dom().find('#userName').val();
				if(name.length == 0) {
					FN.ctrl.smallTip('姓名不能为空', 1500);
					return;
				}
			} else {
				name = '';
			}

			// 验证身份证格式
			var identi;

			if(params.certification != 1) {
				identi = params.dom().find('#IDNo').val();
				if(!identi || (identi.length != 18 && identi.length != 15)) {
					FN.ctrl.smallTip('请输入正确的身份证号', 1500);
					return;
				}
			} else {
				identi = '';
			}

			// 验证银行卡格式
			var bankNo = params.dom().find('#bankNo').val();
			if(!(bankNo.length <= 19 && bankNo.length >= 16) && FN.util.matchNumber(bankNo)) {
				FN.ctrl.smallTip('请输入正确的银行卡号', 1500);
				return;
			}
			// 验证预留手机格式
			var userPhone = params.dom().find('#userPhone').val();
			if(!FN.util.phoneRule(userPhone)) {
				FN.ctrl.smallTip('请输入正确的手机号', 1500);
				return;
			}

			// 发送请求
			var bankID = params.bank_id;
			var userName = name;
			var idCard = identi;
			var cardNo = bankNo;
			var bankPhone = userPhone;

			//重置确认按钮的状态为不可用，防止重复提交
			params.dom().find('.btn-primary').attr('disabled', true);

			FN.native.post('api/pay/bind_bank_card_with_pay', {
					product_cate_id: params.product_cate_id,
					bank_id: bankID,
					bank_no: cardNo,
					id_card: idCard,
					user_name: userName,
					bank_phone: bankPhone,
					buy_amount: params.pay_amount,
					product_id: params.product_id,
					reward_id: params.reward_id,
					red_envelope_type: params.red_envelope_type,
					red_envelope_amount: params.red_envelope_amount,
					red_envelope_id: params.red_envelope_id
				},
				'bind_bank_card.post', 'json');
			FN.native.openWaitDialog();
			FN.callbackFunc['bind_bank_card.post'] = function(data) {
				FN.native.closeWaitDialog();

				//重置确认按钮的状态为不可用，防止重复提交
				params.dom().find('.btn-primary').attr('disabled', false);

				if(FN.ctrl.exception(data, true)) {
					return;
				}

				if(data.error == 0) { // 绑卡成功
					//FN.ctrl.smallTip('绑定银行卡成功');---只有在payConfirmNew页面支付返回成功才会绑定成功

					//联动支付 1---只输入支付密码
					//联动快捷 4，富有 8---输入验证码和支付密码
					//之前的快捷支付，现在同时需要输入验证码和支付密码
					FN.page.go('payConfirmNew', {
						fromaddcard: '1', //标识从添加银行卡页面过去
						product_cate_id: params.product_cate_id,
						product_id: params.product_id,
						pay_amount: params.pay_amount,
						card_id: data.result.card_id,
						order_id: data.result.order_id,
						bank_phone: data.result.bank_phone,
						reward_id: params.reward_id,
						red_envelope_type: params.red_envelope_type,
						red_envelope_amount: params.red_envelope_amount,
						red_envelope_id: params.red_envelope_id,
						payChannel: data.result.pay_channel,
						payChannel_name: data.result.pay_channel_name,
						certification: params.certification //是否认证过
					}, 'load');

				} else { //1
					FN.ctrl.smallTip(data.result);
				}
			}
		}
	}

}).set('confirmBankcard', function(params) {
	//确认银行卡信息(银行卡管理里面，提交的银行卡信息)
	//如果是认证过的老用户会把"姓名"和"身份证"也带过来(已经有了)

	var confirmBankcard = function(data) {
		FN.util.setGlobelBGColor();

		//清理writeEntity中保存的isfrombandcard，返回payInput时不刷新页面
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		//购买产品信息
		params.product_cate_id = data.product_cate_id;
		params.product_id = data.product_id;
		params.pay_amount = data.pay_amount;
		params.card_id = data.card_id;
		params.reward_id = data.reward_id;
		params.red_envelope_type = data.red_envelope_type;
		params.red_envelope_amount = data.red_envelope_amount;
		params.red_envelope_id = data.red_envelope_id;
		params.certification = data.certification;
		params.bankName = data.bankName;
		params.goBackUrl = data.goBackUrl;
		//银行卡基本信息
		params.bankPhone = data.bankPhone;
		params.bankCardNo = data.bankCardNo;
		params.idCard = data.idCard;
		params.userName = data.userName;

		//如果认证过，页面上姓名和身份证不用填写,传递过来的参数已经处理过。。
		/* if (params.certification==1) {

		 var userName = params.userName;
		 var idCard = params.idCard;
		 params.userName  = '*' + userName.substring(1);
		 params.idCard = idCard.substring(0, 6) + '********' + idCard.substring(14);

		 }*/

		FN.ctrl.show(params.ctrlName, params);

		FN.native.closeWaitDialog();

		FN.util.adjustView(false, 'confirmBankcard');
		FN.native.setHead({
			url: params.goBackUrl,
			title: '确认银行卡信息'
		});
		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function(data) {
			//alert('更新'+JSON.stringify(data));
			confirmBankcard(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.util.adjustView(false, 'confirmBankcard');
			FN.native.setHead({
				url: params.goBackUrl,
				title: '确认银行卡信息'
			});
			FN.native.setNavi({
				show: 0
			});
		},

		'setInputFocus': function(_el) {
			_el.focus();
		},

		'goToNext': function() {
			params.dom().find('#userPhone').blur();

			var name;
			if(params.certification != 1) {
				name = params.dom().find('#userName').val();
				if(name.length == 0) {
					FN.ctrl.smallTip('姓名不能为空', 1500);
					return;
				}
			} else {
				name = '';
			}

			// 验证身份证格式
			var identi;
			if(params.certification != 1) {
				identi = params.dom().find('#IDNo').val();
				if(!identi || (identi.length != 18 && identi.length != 15)) {
					FN.ctrl.smallTip('请输入正确的身份证号', 1500);
					return;
				}
			} else {
				identi = '';
			}

			// 验证银行卡格式
			var bankNo = params.dom().find('#bankNo').val();
			if(!(bankNo.length <= 19 && bankNo.length >= 16) && FN.util.matchNumber(bankNo)) {
				FN.ctrl.smallTip('请输入正确的银行卡号', 1500);
				return;
			}
			// 验证预留手机格式
			var userPhone = params.dom().find('#userPhone').val();
			if(!FN.util.phoneRule(userPhone)) {
				FN.ctrl.smallTip('请输入正确的手机号', 1500);
				return;
			}

			// 发送请求
			var cardID = params.card_id;
			var userName = name;
			var idCard = identi;
			var cardNo = bankNo;
			var bankPhone = userPhone;

			//重置确认按钮的状态为不可用，防止重复提交
			params.dom().find('.btn-primary').attr('disabled', true);

			FN.native.post('api/pay/not_auth_card_update_info_with_pay', {
				product_cate_id: params.product_cate_id,
				card_id: cardID,
				bank_card_no: cardNo,
				id_card: idCard,
				user_name: userName,
				bank_phone: bankPhone,
				buy_amount: params.pay_amount,
				product_id: params.product_id,
				reward_id: params.reward_id,
				red_envelope_type: params.red_envelope_type,
				red_envelope_amount: params.red_envelope_amount,
				red_envelope_id: params.red_envelope_id
			}, 'not_auth_card_update_info.post', 'json');

			FN.native.openWaitDialog();
			FN.callbackFunc['not_auth_card_update_info.post'] = function(data) {
				FN.native.closeWaitDialog();

				//重置确认按钮的状态为不可用，防止重复提交
				params.dom().find('.btn-primary').attr('disabled', false);

				if(FN.ctrl.exception(data, true)) {
					return;
				}

				if(data.error == 0) { // 修改银行卡信息成功
					//联动支付 1---只输入支付密码
					//联动快捷 4，富有 8---输入验证码和支付密码
					//之前的快捷支付，现在同时需要输入验证码和支付密码
					FN.page.go('payConfirmNew', {
						fromaddcard: '2', //标识从确认银行卡页面过去，返回直接转到payinput页面
						product_cate_id: params.product_cate_id,
						product_id: params.product_id,
						pay_amount: params.pay_amount,
						card_id: data.result.card_id,
						order_id: data.result.order_id,
						bank_phone: data.result.bank_phone,
						reward_id: params.reward_id,
						red_envelope_type: params.red_envelope_type,
						red_envelope_amount: params.red_envelope_amount,
						red_envelope_id: params.red_envelope_id,
						payChannel: data.result.pay_channel,
						payChannel_name: data.result.pay_channel_name,
						certification: params.certification //是否认证过
					}, 'load');

				} else { //失败就停留在当前页面，用户直接返回payinput页面
					FN.ctrl.smallTip(data.result);
				}
			}
		}
	}
}).set('removeBankCard', function(params) { //删除银行卡短信页面
	var getBankcardManage = function(data) {
		FN.util.setGlobelBGColor();

		/* var i = parseInt(data.index);
		 var card = data.data.data.result.bankCardList[i];*/

		params.userPhone = data.userPhone;
		params.cardID = data.cardid;

		FN.ctrl.show(params.ctrlName, params);
		params.dom().find('#removeSuccess').hide();

		//发送短信
		sendSMSCode(params.userPhone);

		FN.native.setHead({
			url: 'bankcardManage',
			title: '删除银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
		FN.native.closeWaitDialog();

		setTimeout(function() {
			FN.native.adjustAppHeight();
		}, 100);
	};

	// 发送短信
	var sendSMSCode = function(phone) {
		FN.ctrl.setClock(60, params.dom().find("#removeBankcard_timer"), params.dom().find("#removeBankcard_timer"), sendSMSCode, phone);
		FN.ctrl.getSMS('6', phone);
	}

	return {
		'init': function(data) {
			getBankcardManage(data);
		},
		'goToNext': function() {
			params.dom().find('#codeInput').blur();
			// 检测是否是数字
			var codeValue = params.dom().find("#codeInput").val();
			if(codeValue.length >= 4) { // 验证码格式正确
				FN.native.post('api/my/del_bank_card', {
					card_id: params.cardID,
					code: codeValue
				}, 'del_bank_card.post', 'json');
				FN.callbackFunc['del_bank_card.post'] = function(data) {
					if(FN.ctrl.exception(data, true))
						return;
					if(data.error == 0) {
						FN.ctrl.smallTip('删除银行卡成功');
						params.dom().find('#removeSuccess').show();
						setTimeout(function() {
							params.dom().find('#removeSuccess').hide();
							FN.page.go('bankcardManage', {
								type: 0,
								fromsrc: '1'
							});
						}, 1000);
					} else if(data.error == 2) {
						FN.ctrl.smallTip(data.result);
					}
					FN.native.closeWaitDialog();
				}
			} else { // 验证码格式错误
				FN.ctrl.smallTip('请输入正确的验证码');
			}
		}
	}

}).set('addbankinfoSuccess', function(params) { //添加银行卡成功页面
	var getaddbankinfoSuccess = function(data) {
		FN.util.setGlobelBGColor();
		//传递过来的参数
		params.data = data;
		if(data.frombind == undefined) data.frombind = null;
		if(data.moneyDesc == undefined) data.moneyDesc = "";
		if(data.redOnline == undefined) data.redOnline = 0;

		FN.ctrl.show(params.ctrlName, data);
		if(data.frombind == null) {
			FN.native.setHead({
				url: 'bankcardManage',
				title: '银行卡添加成功'
			});
		} else {
			FN.native.setHead({
				title: '银行卡绑定成功'
			});
		}
		FN.native.setNavi({
			show: 0
		});
		FN.native.closeWaitDialog();
		

		//绑卡成功终点,umeng统计自定义事件。。
		var isOnEvent=false;
		if (!window.local_obj) {
			var iosVersion= ios_verson();

		} else {
			var androidVersion=window.local_obj.localversion();
			if (androidVersion!= '2.0.7' && 
				androidVersion!= '2.0.8' && 
				androidVersion!= '2.1.5' && 
				androidVersion!= '2.1.4' && 
				androidVersion!= '2.1.3' && 
				androidVersion!= '2.1.2' && 
				androidVersion!= '2.1.1' && 
				androidVersion!= '2.1.0') {
			isOnEvent=true;	
		}
		if(isOnEvent){
			var event;
			if(FN.other.bindfrom==0){
				event="bindDefault";
			}else if(FN.other.bindfrom==1){
				event="bindRecommend";
			}else if(FN.other.bindfrom==2){
				event="bindProductList";
			}else{
				event="bindProductMy";
			}
			//alert(event+":"+FN.other.bindfrom);
			MobclickAgent.onEvent(event);
		}
		}


	};

	return {
		'init': function(data) {
			getaddbankinfoSuccess(data);
		},
		'update': function() {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'bankcardManage',
				title: '银行卡添加成功'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'gotocardManage': function() { //点击确认跳回绑卡管理页面

			// FN.page.go(params.data.forwardUrl, {type: params.data.type});//0
			FN.page.go('bankcardManage', {
				type: 0,
				fromsrc: '1'
			}, 'load');
		},
		'goback': function() {
			// FN.page.go(params.data.forwardUrl, {type: params.data.type});//0
			FN.page.go('recommend', {}, 'reload');
		},
		'hongbao': function() {
			FN.page.go('productList', '', 'load');
		},
		'tiyanjin': function() {
			FN.page.go('myExperience', {
				goBackUrl: 'recommend',
			}, 'load');
		},
	}
});