/**
 * payInput
 * payConfirm payConfirmNew payConfirmChannel4 paySuccess
 * bankcardManage hongbaocardManage jiaxicardManage  increaseLimit selectBanks
 */

FN.ctrl.set('payInput', function(params) {
	var getPayInput = function(data) {
		FN.util.setGlobelBGColor();
		//传递过来的参数
		params.data = data;

		FN.native.get('api/pay/user_bill', {
			product_id: data.id,
			red_envelope_type: FN.cache.selectRed,
			red_envelope_id: FN.cache.selectID,
			reward_id: FN.cache.selectReward
		}, 'get_pay_input.get', 'json');
		FN.callbackFunc['get_pay_input.get'] = function(data) {
			if(FN.ctrl.exception(data)) {
				return;
			}
			//接口默认返回当前作用域(选择银行卡也会返回银行卡id和名称和最大可支付金额)
			params.data.TotalPay = data.result.bill.residualAmount; //当前产品总共可买金额(一直不变 )
			params.data.maxPay = data.result.bill.residualAmount; //当前产品总共可买金额(下面会改变value)
			params.data.buylength = data.result.bill.length; //理财期限
			params.data.annualYield = data.result.bill.annualYield; //理财年化
			params.data.cardId = data.result.card.cardId; //默认银行卡id(选择新卡,是没有银行卡id的;老卡有id)
			params.data.bankId = data.result.card.bankId; //默认银行type
			params.data.bankName = data.result.card.bankName; //默认银行名称
			params.data.cardNo = data.result.card.cardNo;
			//选中银行卡当前最大可支付金额(默认的或者选择银行卡回来的可用是0,当前卡无法购买)
			params.data.maxAmount = data.result.card.maxAmount;
			params.data.maxShowAmount = data.result.card.maxShowAmount; //如果是0，标识该卡系统维护中
			params.data.msg = data.result.card.msg; //没有银行预留手机号码判断

			//当前产品剩余金额
			params.data.residualAmount = data.result.bill.residualAmount;
			//是否实名认证过,用于区分绑卡页面新老用户
			params.data.certification = data.result.card.certification;
			//区分选中的老卡还是新卡
			if(params.data.cardId)
				params.data.banktype = 0; //老卡
			else
				params.data.banktype = 1;

			//jixi选中回来，修改2个值，确认按钮时候，带过去。。
			params.data.jxid = '0'; //默认没有选择加息券id
			params.data.jxreward = '0'; //默认没有加息
			params.data.reward = data.result.reward; //返回当前用户是否有加息卡

			//接口返回的红包集合信息
			params.data.hbtype = '0'; //默认没有匹配红包类型
			params.data.hbvalue = '0'; //默认没有匹配红包金额
			params.data.hbrate = '0'; //红包比例
			params.data.hbid = '0'; //红包id; 1000:1由于是所有的都整合在一起,id传0
			params.data.hbsubmit = '0'; //最终根据选择红包类型，抵扣红包金额提交
			params.data.redFlag = data.result.redFlag; //是否有红包

			if(params.data.cardId) { //新用户cardId是''
				//新注册和没绑卡的用户不会执行这里
				//为了下面的"快卖光了"判断

				//params.data.eachLimitDesc = data.result.card.eachLimitDesc;//当前银行卡单日限额描述
				// params.data.eachLimit = parseInt(data.result.card.eachLimit);//当前银行卡单日限额

				//if (parseInt(data.result.card.eachLimit) < parseInt(params.data.maxPay)) {
				if(parseInt(data.result.card.maxAmount) < parseInt(params.data.maxPay)) {
					params.data.currentMaxPay = params.data.maxPay; //总共最大可买
					//params.data.maxPay = data.result.card.eachLimit;//当前卡最大可买
					params.data.maxPay = data.result.card.maxAmount; //当前卡最大可买
				} else { //总共可买金额<银行限额
					params.data.currentMaxPay = params.data.maxPay;
				}
			}

			//在显示页面之后，上面的div显示隐藏才会起作用。。。
			FN.ctrl.show(params.ctrlName, data.result);


			


			//重置确认按钮状态"可用"
			params.dom().find('.btn-primary').attr('disabled', false);

			FN.native.closeWaitDialog();

			//保存是否设置了支付密码
			FN.native.writeEntry('isSetPayPassword', data.result.card.payPassword, 'string', 'userInfo');

			//公告循环滚动
			$('.marquee').marquee({
				speed: 12000,
				duplicated: true
			});

			//绑定页面上的控件,确定，按钮
			params.dom().find('.btn-primary').click(function() {
				FN.ctrl.get('payInput').sure();
			});
			//选择银行卡
			params.dom().find('#bankcard_info_tip').click(function() {

				FN.ctrl.canDo() && FN.ctrl.get('payInput').bankCard();
			});
			//如果之前已经绑定的有银行卡，默认显示黑体
			if(params.dom().find('#bankcard_info_tip').html() != '请选择支付银行卡') {
				params.dom().find('#bankcard_info_tip').css('color', 'black');
				params.dom().find('#limit_tip').css('color', 'black');
			}

			//---------------
			//根据返回是否有加息券，页面上显示/隐藏；选择加息券的html
			if(params.data.reward == 1) {
				//因为默认初始化页面不显示收益相关。。。；而1%是用户在选择了加息券返回后才显示的。。
				$('#div_jxcount').attr('style', 'display:block;');
				//$('#div_jxcount').css('display','block;');
				//$('#div_jxcount').show();
				$('#hbcount').css('color', '');

				$('#jxcount').text('请选择加息券');

				//添加绑定事件;红包和加息券只能用一个
				params.dom().find('#div_jxcount').click(function() {

					//每次点击，都清理掉上次选中的加息券，信息
					$('#jxcount').text('请选择加息券');
					params.dom().find('#jxcount').css('color', '');
					params.data.jxid = '0';
					params.data.jxreward = '0';

					$('#p_jxdes').css('display', 'none');
					$('#p_jxdes').text('');

					$('#span_jxcount').css('display', 'none');
					$('#span_jxcount').text('');

					//同时清理掉页面上显示年化的hidden的value
					$('#hid_jx').val('0');

					//每次点击选择加息券，都要重置红包信息。。不论是否选中
					//真正选中了加息券，红包才提示"不可与加息券叠加"
					if(params.data.redFlag) {
						$('#div_hbcount').attr('style', 'display:block;');
						$('#hbcount').text('请选择红包');
						//颜色变灰
						$('#hbcount').css('color', '');

						//隐藏红包提示
						$('#p_hbdes').css('display', 'none');
						$('#p_hbdes').text('');

						//清空全局保存的抵扣红包金额和类型
						params.data.hbtype = '0';
						params.data.hbvalue = '0';
						params.data.hbrate = '0';
						params.data.hbid = '0';
						params.data.hbsubmit = '0';

					}

					//跳转到选择加息券页面。。
					FN.ctrl.get('payInput').jiaxiCard();
				});

				//根据输入购买金额onkeyup的时候，动态修改加息券增加的金额//
				//同时下面，确认按钮的时候，检查可购买金额是否充足,若选择的有红包就动态的修改红包和类型//
			} else {
				//隐藏，去掉收益率
				$('#div_jxcount').attr('style', 'display:none;');
				$('#jxcount').text('');

				$('#span_jxcount').css('display', 'none');
				$('#span_jxcount').text('');

				$('#p_jxdes').css('display', 'none');
				$('#p_jxdes').text('');

				$('#hid_jx').val('0');

				params.data.jxid = '0';
				params.data.jxreward = '0';

				//移除click事件
				params.dom().find('#div_jxcount').unbind("click");
			}
			//---------------

			//--------------
			//有可用红包才显示红包选择
			if(params.data.redFlag) {
				$('#div_hbcount').attr('style', 'display:block;');
				$('#hbcount').text('请选择红包');
				//颜色变灰
				$('#hbcount').css('color', '');

				//添加绑定事件;红包和加息券只能用一个
				params.dom().find('#div_hbcount').click(function() {

					//每次点击，都清理掉上次选中的红包，信息
					$('#hbcount').text('请选择红包');
					$('#hbcount').css('color', '');

					//清空全局保存的抵扣红包金额和类型
					params.data.hbtype = '0';
					params.data.hbvalue = '0';
					params.data.hbrate = '0';
					params.data.hbid = '0';
					params.data.hbsubmit = '0';

					//隐藏红包提示
					$('#p_hbdes').css('display', 'none');
					$('#p_hbdes').text('');

					//每次点击选择红包，都要重置加息券信息。。不论是否选中
					//真正选中了红包，加息券才提示"不可与加息券叠加"
					if(params.data.reward == 1) {
						//清空全局加息id
						params.data.jxid = '0';
						params.data.jxreward = '0';

						//清空页面上保存下当前返回的加息年化
						$('#hid_jx').val('0');

						$('#div_jxcount').attr('style', 'display:block;');
						$('#jxcount').text('请选择加息券');
						//颜色变灰
						$('#jxcount').css('color', '');

						//隐藏加息提示
						$('#span_jxcount').css('display', 'none');
						$('#span_jxcount').text('');

						//隐藏上面的加息+1%
						$('#p_jxdes').css('display', 'none');
						$('#p_jxdes').text('');

					}

					//跳转到选择红包页面。。
					FN.ctrl.get('payInput').hongbaoCard();
				});
				//根据输入购买金额onkeyup的时候，动态修改可抵用的红包和类型//
				//同时下面，确认按钮的时候，检查可购买金额是否充足,若选择的有红包就动态的修改红包和类型//

			} else {
				//每次点击，都清理掉上次选中的红包，信息
				$('#hbcount').text('请选择红包');
				$('#hbcount').css('color', '');

				//清空全局保存的抵扣红包金额和类型
				params.data.hbtype = '0';
				params.data.hbvalue = '0';
				params.data.hbrate = '0';
				params.data.hbid = '0';
				params.data.hbsubmit = '0';

				//隐藏红包提示
				$('#p_hbdes').css('display', 'none');
				$('#p_hbdes').text('');

				//移除click事件
				params.dom().find('#div_hbcount').unbind("click");
			}
			//------默认选中红包传值显示---------
			if(data.result.rewardCheck.rewardCanUse) {
				if(FN.cache.selectRed == 13) {
					params.data.hbtype = 13;
					params.data.hbvalue = data.result.rewardCheck.redEnvelopeAmount; //回传的值
					params.data.hbrate = FN.cache.selectRedRate;
					$('#hbcount').text(parseInt(params.data.hbvalue) + '元待使用');
					$('#jxcount').text('不可和红包叠加使用');
					params.dom().find('#hbcount').css('color', 'black');
				} else if(FN.cache.selectRed == 14) {
					params.data.hbtype = 14;
					params.data.hbvalue = FN.cache.selectRedValue;
					params.data.hbrate = FN.cache.selectRedRate;
					params.data.hbid = FN.cache.selectID;
					$('#hbcount').text(parseInt(params.data.hbvalue) + '元红包');
					$('#jxcount').text('不可和红包叠加使用');
					params.dom().find('#hbcount').css('color', 'black');
				} else if(FN.cache.selectReward != 0) {
					params.data.jxid = FN.cache.selectReward;
					params.data.jxreward = FN.cache.selectRewardShare;
					$('#jxcount').text('+' + params.data.jxreward + '%加息券');
					$('#hbcount').text('不可和加息券叠加使用');
					$('#hid_jx').val(params.data.jxreward); //加息卷收益计算
					params.dom().find('#jxcount').css('color', 'black');
				}
			}
			//重置缓存数据
			FN.cache.selectRed = 0;
			FN.cache.selectReward = 0;
			//刷新页面重新计算高度	,4s里面默认加载进来高度不对
			myScroll.refresh();
		}
		FN.native.setHead({
			url: 'productDetail',
			title: '购买'
		});
		FN.native.setNavi({
			show: 0
		});

		//保存到缓存，保存当前银行卡，是在addbankcard里面添加成功，判断有无输入支付密码页面里面保存的
		FN.cache.putEntry('current_bankcard', false);
	};

	//公共方法，设置支付密码setPayPassword，绑定银行卡addBankcardNew，跳转支付payConfirmNew
	var commonToPay = function(productCateId, productId, payAmount, cardId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id, bank_id) {
		//手机保存，当前登陆用户是否是认证过的,供给确认支付页面，忘记支付密码页面使用
		FN.native.writeEntry('iscertification', params.data.certification, 'string', 'certification');

		var isSetPayPassword = FN.native.readEntry('isSetPayPassword', 'string', 'userInfo');
		//使用红包时候要判断输入的金额要大于红包金额
		if(params.data.hbtype != 'null' && params.data.hbtype != 13 && params.data.hbtype != '0') {
			var seleHBvalue = Number(params.data.hbvalue);
			var inputMoney = Number($('#pay_input_number').val());

			if(inputMoney < 1) //inputMoney<=seleHBvalue
			{
				FN.ctrl.smallTip('购买金额至少1元');
				//FN.ctrl.smallTip('购买金额应大于红包金额');
				return;
			}
		}

		if(isSetPayPassword != '1') { //没有设置支付密码
			if(params.data.banktype == 0) { //老卡设置完支付密码转到支付payConfirmNew
				checkBankcardNoSetPassword(productCateId, productId, payAmount, cardId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id);
			} else if(params.data.banktype == 1) { //新卡设置完支付密码转到绑卡addBankcardNew（完成后会返回cardId），然后在转到支付payConfirmNew
				AddBankcardNoSetPassword(productCateId, bank_id, payAmount, productId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id);
			}
		} else { //已经设置了支付密码
			if(params.data.banktype == 0) { //老卡直接转到支付payConfirmNew

				checkBankcard(productCateId, productId, payAmount, cardId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id);
			} else if(params.data.banktype == 1) { //新卡设置完支付密码转到绑卡addBankcardNew（完成后会返回cardId），然后在转到支付payConfirmNew
				AddBankcard(productCateId, bank_id, payAmount, productId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id);
			}
		}

	}

	// 购买请求会转到payConfirm和payConfirmChannel4 也要传入加息券 reward_id;红包金额和类型red_envelope_type,red_envelope_amount
	//现在统一到payConfirmNew中合并了快捷支付和输入支付密码页面。。
	//现在只有用户，直接选择老卡去购买会调用check_cardId;否则都是在绑卡的时候下单---注意没有设置密码的话还是先到设置密码页面
	//选中老卡，已经设置了支付密码，才调用
	var checkBankcard = function(productCateId, productId, payAmount, cardId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id) {

		//修改确认按钮状态不可用。。防止重复提交创建订单
		params.dom().find('.btn-primary').attr('disabled', true);

		FN.native.openWaitDialog();
		FN.native.post('api/pay/check_cardId', { //接口会创建订单。。
			pay_amount: payAmount,
			card_id: cardId, //选中了老卡,会有cardid
			product_cate_id: productCateId,
			product_id: productId,
			reward_id: reward_id,
			red_envelope_type: red_envelope_type,
			red_envelope_amount: red_envelope_amount,
			red_envelope_id: red_envelope_id
		}, 'check_cardId.post', 'json');
		FN.callbackFunc['check_cardId.post'] = function(data) {

			//修改确认按钮状态可用。。防止重复提交创建订单
			params.dom().find('.btn-primary').attr('disabled', false);

			if(FN.ctrl.exception(data, true))
				return;
			if(data.error == '0') {
				//联动支付 1---只输入支付密码
				//联动快捷 4，富有 8---输入验证码和支付密码
				//之前的快捷支付，现在同时需要输入验证码和支付密码
				if(data.result.is_need_bind_bank_phone == '1') {
					FN.page.go('increaseLimit', {
						product_cate_id: productCateId,
						product_id: productId,
						pay_amount: payAmount,
						bankName: params.data.bankName,
						cardNo: params.data.cardNo,
						card_id: cardId,
						order_id: data.result.order_id,
						bank_phone: data.result.bank_phone,
						reward_id: reward_id,
						red_envelope_type: red_envelope_type,
						red_envelope_amount: red_envelope_amount,
						red_envelope_id: red_envelope_id,
						payChannel: data.result.pay_channel,
						payChannel_name: data.result.pay_channel_name
					}, 'load');
				} else {
					FN.page.go('payConfirmNew', { 
						product_cate_id: productCateId,
						product_id: productId,
						pay_amount: payAmount,
						card_id: cardId,
						order_id: data.result.order_id,
						bank_phone: data.result.bank_phone,
						reward_id: reward_id,
						red_envelope_type: red_envelope_type,
						red_envelope_amount: red_envelope_amount,
						red_envelope_id: red_envelope_id,
						payChannel: data.result.pay_channel,
						payChannel_name: data.result.pay_channel_name
					}, 'load');
				}
			} else if(data.error == '3') {
				FN.ctrl.smallTip(data.result.error_msg, 2500);

				//选的银行卡未实名认证，跳转到确认银行卡信息页面
				//用户的基本信息和 选中的红包信息传递过去，确认修改信息成功直接转到payconfirmnew页面
				FN.page.go('confirmBankcard', {
					certification: data.result.certification, //是否认证过
					userName: data.result.userName,
					idCard: data.result.idCard,
					bankCardNo: data.result.bankCardNo,
					bankName: data.result.bankName,
					bankPhone: data.result.bankPhone,
					goBackUrl: 'payInput',
					product_cate_id: productCateId,
					product_id: productId,
					pay_amount: payAmount,
					card_id: cardId,
					reward_id: reward_id,
					red_envelope_type: red_envelope_type,
					red_envelope_amount: red_envelope_amount,
					red_envelope_id: red_envelope_id
				}, 'load');

			} else { //失败错误提示1,2
				FN.ctrl.smallTip(data.result, 2000);
			}
			FN.native.closeWaitDialog();

		}
	}
	//选中老卡，没有设置支付密码，传递参数到支付密码,设置完成后再去调用api/pay/check_cardId
	var checkBankcardNoSetPassword = function(productCateId, productId, payAmount, cardId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id) {

		//已经绑卡的老用户,未设置支付密码，传递参数过去，设置完毕后调用api/pay/check_cardId
		FN.page.go('payPasswordNew', {
			goBackUrl: 'payInput',
			fromtype: 'old',
			product_cate_id: productCateId,
			product_id: productId,
			pay_amount: payAmount,
			card_id: cardId,
			reward_id: reward_id,
			red_envelope_type: red_envelope_type,
			red_envelope_amount: red_envelope_amount,
			red_envelope_id: red_envelope_id
		}, 'load');

	}

	// 购买请求会转到payConfirm和payConfirmChannel4 也要传入加息券 reward_id;红包金额和类型red_envelope_type,red_envelope_amount
	//现在统一到payConfirmNew中合并了快捷支付和输入支付密码页面。。
	//现在只有用户，选择了新卡去购买会调用bind_bank_card_with_pay;否则都是在payInpu的时候下单---注意没有设置密码的话还是先到设置密码页面
	var AddBankcard = function(productCateId, bank_id, payAmount, productId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id) {
		//传递当前的信息给添加银行卡页面api/pay/bind_bank_card_with_pay
		FN.page.go('addBankcardNew', {
			certification: params.data.certification, //是否认证过
			goBackUrl: 'payInput',
			bankName: params.data.bankName,
			product_cate_id: productCateId,
			product_id: productId,
			pay_amount: payAmount,
			bank_id: bank_id,
			reward_id: reward_id,
			red_envelope_type: red_envelope_type,
			red_envelope_amount: red_envelope_amount,
			red_envelope_id: red_envelope_id
		}, 'load');

	}
	//新卡，未设置支付密码，传递参数到支付密码，设置完成后调用api/pay/bind_bank_card_with_pay绑卡
	var AddBankcardNoSetPassword = function(productCateId, bank_id, payAmount, productId, reward_id, red_envelope_type, red_envelope_amount, red_envelope_id) {

		//传递当前的信息给添加银行卡页面api/pay/bind_bank_card_with_pay
		FN.page.go('payPasswordNew', {
			fromtype: 'new',
			certification: params.data.certification, //是否认证过
			bankName: params.data.bankName,
			goBackUrl: 'payInput',
			product_cate_id: productCateId,
			product_id: productId,
			pay_amount: payAmount,
			bank_id: bank_id,
			reward_id: reward_id,
			red_envelope_type: red_envelope_type,
			red_envelope_amount: red_envelope_amount,
			red_envelope_id: red_envelope_id
		}, 'load');

	}

	return {
		'init': getPayInput,
		'update': function(data) {
			//alert('更新'+JSON.stringify(data));
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'productDetail',
				title: '购买'
			});
			FN.native.setNavi({
				show: 0
			});

			//隐藏红包规则弹窗
			$('#div_pop_hb').hide();
			$('#div_pop_jx').hide();

			//选中红包回来
			if(data && data.selectype == 'hongbao') {
				//红包选好后，回传hbcard对象回来。。。
				if(data && data.hbcard) { // && data.hbcard.id

					//如果选中了红包回来，上面点击时候已经同时重置了加息券信息;
					//这里只提示，加息券不能与红包重叠使用
					if(params.data.reward == 1) {
						//只是提示，用户还是可以强制勾选使用红包;此时提示加息券不可用，重置加息券信息
						$('#jxcount').text('不可和红包叠加使用');
					}

					//全局红包类型,id,比例,金额
					params.data.hbtype = data.hbcard.type;
					params.data.hbvalue = data.hbcard.amount;
					params.data.hbrate = data.hbcard.rate;
					if(params.data.hbtype == 13) //1000:1的id是null这里转成0
						params.data.hbid = '0';
					else
						params.data.hbid = data.hbcard.id;

					//修改颜色；无论是否输入了购买金额，都是深色
					params.dom().find('#hbcount').css('color', 'black');

					//输入金额,按照选中的红包类型计算抵用
					var buymoney = $('#pay_input_number').val();

					//等于空的时候，无法提交按钮，会提示用户输入金额；输入金额在input事件中，会根据最新的金额计算红包,重新保存到hidden
					//同时隐藏红包收益提示
					if(buymoney == undefined || buymoney == '' || buymoney == '0') {
						if(params.data.hbtype == 13) //1000:1 按比例计算,小于1000,提示0元可用
							$('#hbcount').text(parseInt(params.data.hbvalue) + '元待使用');
						else //1:1 门槛红包,购买金额需要大于红包金额
							$('#hbcount').text(parseInt(params.data.hbvalue) + '元红包');

						//最终抵扣的红包金额
						params.data.hbsubmit = '0';

					} else { //只有1000:1的才有1000购买限制,红包根据比例来计算;1:1的红包只要购买金额大于红包金额,可全额抵用,没有10000限制
						//如果是1000:1的比例,如果购买金额小于1000;
						if(params.data.hbtype == 13) {
							if(Number(buymoney) < 1000) {
								$('#hbcount').text('0元可用,' + parseInt(params.data.hbvalue) + '元待使用');

								//最终抵扣的红包金额
								params.data.hbsubmit = '0';
							} else { //计算比例抵扣的红包；和到期本金和总收益金额，提示；并保存到页面hidde中提交的时候判断有无value

								//计算当前金额理论可用1000:1红包
								var lilundikou = Number(buymoney) / Number(params.data.hbrate);

								var dikou;
								//实际最大可用红包不超过用户选择的这个红包金额
								if(Number(lilundikou) > Number(params.data.hbvalue))

									dikou = Number(params.data.hbvalue);
								else
									dikou = Number(lilundikou);

								//实际只需支付
								var shiji = Number(buymoney) - Number(parseInt(dikou)); //假如有1.6,只能用1元，要取整数;单张1:1红包都是整数

								//计算当前产品到期收益+本金
								var buylength = Number(params.data.buylength);
								var buyjxreward = Number(params.data.annualYield);
								var money = Number(buymoney);
								//到期收益
								var summoney = FN.util.changeTwoDecimalF(Number((money * buyjxreward * buylength) / (365 * 100))); //.toFixed(2);

								var allmoney = money + Number(summoney) + parseInt(dikou);
								$('#hbcount').text(parseInt(dikou) + '元可用,' + (parseInt(params.data.hbvalue) - parseInt(dikou)) + '元待使用');

								$('#p_hbdes').css('display', 'block');
								$('#p_hbdes').text('太棒了,收益提升了' + parseInt(dikou) + '元,到期返还' + FN.util.changeTwoDecimalF(allmoney) + '元！');

								myScroll.refresh(); //显示了提示层，刷新页面重新计算高度

								//保存最终选中的红包，抵扣的金额提交; 当前选中的红包类型/id,比例，都不变
								params.data.hbsubmit = parseInt(dikou) + '';

							}
						} else { //14  1:1 门槛红包;只需要用户输入的购买金额大于 ，红包金额就可以全额抵用；不轮是否大于1000

							/*  var lilundikou=Number(params.data.hbvalue);

							 //实际最大可用红包不超过用户选择的这个红包金额
							 if(Number(buymoney)>Number(lilundikou))
							 {
							 //实际只需支付
							 var shiji=Number(buymoney)-Number(parseInt(lilundikou));//假如有1.6,只能用1元，要取整数;单张1:1红包都是整数


							 //计算当前产品到期收益+本金
							 var buylength=Number(params.data.buylength);
							 var buyjxreward=Number(params.data.annualYield);
							 var money=Number(buymoney);
							 //到期收益
							 var summoney=FN.util.changeTwoDecimalF(Number((money*buyjxreward*buylength)/(365*100)));//.toFixed(2);

							 var allmoney=money+Number(summoney)+lilundikou;
							 $('#hbcount').text(lilundikou+'元红包');
							 $('#p_hbdes').css('display','block');
							 $('#p_hbdes').text('太棒了,收益提升了'+lilundikou+'元,到期返还'+allmoney+'元！');
							 myScroll.refresh();//显示了提示层，刷新页面重新计算高度

							 //保存最终选中的红包，抵扣的金额提交; 当前选中的红包类型/id,比例，都不变
							 params.data.hbsubmit=parseInt(lilundikou)+'';

							 }
							 else
							 {
							 $('#hbcount').text(lilundikou+'元红包');

							 $('#p_hbdes').css('display','block');
							 $('#p_hbdes').text('购买金额应大于红包金额');

							 //最终抵扣的红包金额
							 params.data.hbsubmit='0';

							 return;

							 }	*/

							// 门槛红包;只需要用户输入的购买金额大于1元 ，红包金额就可以全额抵用；不轮是否大于1000

							var lilundikou = Number(params.data.hbvalue);

							//实际最大可用红包不超过用户选择的这个红包金额
							if(Number(buymoney) >= 1) {
								//实际只需支付
								var shiji = Number(buymoney) - Number(parseInt(lilundikou)); //假如有1.6,只能用1元，要取整数;单张1:1红包都是整数

								//计算当前产品到期收益+本金
								var buylength = Number(params.data.buylength);
								var nianhua = Number(params.data.annualYield);
								var money = Number(buymoney);
								//到期收益
								var summoney = FN.util.changeTwoDecimalF(Number((money * nianhua * buylength) / (365 * 100))); //.toFixed(2);

								var allmoney = money + Number(summoney) + lilundikou;
								$('#hbcount').text(lilundikou + '元红包');
								$('#p_hbdes').css('display', 'block');
								$('#p_hbdes').text('太棒了,收益提升了' + lilundikou + '元,到期返还' + FN.util.changeTwoDecimalF(allmoney) + '元！');
								myScroll.refresh(); //显示了提示层，刷新页面重新计算高度

								//保存最终选中的红包，抵扣的金额提交; 当前选中的红包类型/id,比例，都不变
								params.data.hbsubmit = parseInt(lilundikou) + '';

							} else {
								$('#hbcount').text(lilundikou + '元红包');

								$('#p_hbdes').css('display', 'block');
								$('#p_hbdes').text('购买金额至少1元');

								//最终抵扣的红包金额
								params.data.hbsubmit = '0';

								return;

							}
						}

					}

				}
				//如果前面选中了红包，回传了红包信息；就保存到了全局的params中;
				//即使再次去选中银行卡，回传了信息,执行了update方法，前面保存的红包信息还在；除非用户又点击了一次选中红包

			}

			//选中加息券回来
			else if(data && data.selectype == 'jiaxi') {

				//加息券选好后，回传jxcard对象回来。。。
				if(data && data.jxcard && data.jxcard.cardId) {

					//如果选中了加息券回来，上面点击时候已经同时重置了红包信息;
					//这里只提示，红包不能与加息券重叠使用
					if(params.data.redFlag) {
						//只是提示，用户还是可以强制勾选使用红包;此时提示加息券不可用，重置加息券信息
						$('#hbcount').text('不可和加息券叠加使用');
					}

					//全局保存加息id和年化
					params.data.jxid = data.jxcard.cardId;
					params.data.jxreward = data.jxcard.rewardShare;

					//页面上保存下当前返回的加息年化；供input的onkeyup调用计算
					$('#hid_jx').val(params.data.jxreward);

					//显示多少的加息券
					$('#span_jxcount').css('display', 'block');
					$('#span_jxcount').text('+' + params.data.jxreward + '%');

					$('#jxcount').text('+' + params.data.jxreward + '%加息券');
					params.dom().find('#jxcount').css('color', 'black');

					//前面输入的购买金额
					var buymoney = $('#pay_input_number').val();

					//回传回来，如果，用户前面没有输入购买金额，加息收益显示0；只是提示输入金额才会显示加息的收益
					//没有输入购买金额，提交时候会提示，用户在输入金额改变的时候，会重新计算加息全收益。。
					if(buymoney == undefined || buymoney == '' || buymoney == '0') {

						$('#p_jxdes').css('display', 'none');
						$('#p_jxdes').text('');
					}
					//如果回传回来，前面有输入购买金额，显示对应的加息收益
					else {

						//计算加息券到期收益
						var buylength = Number(params.data.buylength);
						var money = Number(buymoney);

						//加息券年化
						var buyjxreward = Number(params.data.jxreward);

						if(buyjxreward > 0) {
							//本身年化
							var nianhua = Number(params.data.annualYield);
							//本身年化收益
							var nianhuamoney = FN.util.changeTwoDecimalF(Number((money * nianhua * buylength) / (365 * 100)));

							//总年化
							var nhsummoney = FN.util.changeTwoDecimalF(Number((money * (nianhua + buyjxreward) * buylength) / (365 * 100))); //.toFixed(2);

							//总年化+本金
							var allmoney = Number(nhsummoney) + money;
							var shouyi = (nhsummoney - nianhuamoney).toFixed(2);
							if(shouyi != '0.00') { //加息券id还是继续传递
								$('#p_jxdes').css('display', 'block');
								$('#p_jxdes').text('太棒了,收益提升了' + shouyi + '元,到期返还' + FN.util.changeTwoDecimalF(allmoney) + '元！');

							}
						}

					}

				}
				//如果前面选中了加息券，回传了id和年化；就保存到了全局的params中;
				//即使再次去选中银行卡，回传了信息,执行了update方法，前面保存的加息券信息还在；除非用户又点击了一次加息券

			}

			//添加银行卡页面不会回传selectype回来。。。
			else if(data && (data.selectype == undefined || data.selectype == 'bank')) {

				//这里，如果是新注册用户，上面init的时候，是没有currentMaxPay的
				//为了选择新的银行卡回传回来的新的银行限额对比
				if(params.data.currentMaxPay != undefined)
					params.data.maxPay = params.data.currentMaxPay;

				//data.card是选择银行卡页面回传回来的;params.data.maxPay是前面init获取的
				if(data && data.card && data.card.cardNo) {
					//选中老卡maxAmout
					// if (data && parseInt(data.card.eachLimit) < parseInt(params.data.maxPay)) {
					if(data && parseInt(data.card.maxAmout) < parseInt(params.data.maxPay)) {
						params.data.currentMaxPay = params.data.maxPay; //
						//params.data.maxPay = data.card.eachLimit;
						params.data.maxPay = data.card.maxAmout;
					} else {
						params.data.currentMaxPay = params.data.maxPay; //
					}
				} else {
					//选中新卡maxPayAmount
					if(data && parseInt(data.card.maxPayAmount) < parseInt(params.data.maxPay)) {
						params.data.currentMaxPay = params.data.maxPay;
						//params.data.maxPay = data.card.eachLimit;
						params.data.maxPay = data.card.maxPayAmount; //
					} else {
						params.data.currentMaxPay = params.data.maxPay;
					}
				}

				//----在addbankcard页面绑定成功后，跳转到设置支付密码页面保存的当前银行卡信息
				if(!data && FN.cache.getEntry('current_bankcard')) {
					data = {};
					data.card = FN.cache.getEntry('current_bankcard');
					FN.cache.putEntry('current_bankcard', false);
				}
				//----

				//选中老卡会返回cardId,cardNo,bankname,,,
				if(data && data.card && data.card.cardNo) { //cardId

					params.data.bankName = data.card.bankName;
					params.data.cardNo = data.card.cardNo;
					params.data.cardId = data.card.cardId;
					params.data.banktype = data.card.banktype; //标识老卡0
					//现在没用
					// params.data.eachLimit = parseInt(data.card.eachLimit);
					// params.data.eachLimitDesc = data.card.eachLimitDesc;

					//新增支持的银行卡最大支付额度
					params.data.maxAmount = parseInt(data.card.maxAmount);
					params.data.maxShowAmount = parseInt(data.card.maxShowAmount); //如果是0，标识该卡系统维护中
					params.data.msg = data.card.msg; //选中银行卡回来没有预留手机号码情况

					if(data.card.cardNo) {
						params.dom().find('#bankcard_info_tip').html(data.card.bankName + '（尾号' + data.card.cardNo + '）');
						params.dom().find('#bankcard_info_tip').css('color', 'black');
						if(data.card.msg != undefined) {
							if(data.card.msg == "该银行系统维护中") { //从selectBanks 传递回来的值，进行强行改变文字
								params.dom().find('#limit_tip').html("该银行系统维护中,建议更换银行卡");
							} else if(data.card.msg == "今日支付额度已用完") {
								params.dom().find('#limit_tip').html("今日支付额度已用完,建议更换银行卡");
							} else
								params.dom().find('#limit_tip').html(data.card.msg);
						} else if(params.data.maxShowAmount == 0) {
							params.dom().find('#limit_tip').html('该银行系统维护中,建议更换银行卡');
						} else {
							if(data.card.maxAmount == '0') {
								params.dom().find('#limit_tip').html('今日支付额度已用完,建议更换银行卡');
							} else {
								params.dom().find('#limit_tip').html('该卡本次最多可支付' + data.card.maxAmount + '元');
							}
						}
					}

					//根据卡的支持的银行卡最大支付额度，修改最大可购买金额
					if(parseInt(params.data.maxPay) > parseInt(data.card.maxAmout)) { //data.card.eachLimit
						params.data.maxPay = data.card.maxAmout;
					}
				} else { //选中新卡

					params.data.bankName = data.card.bankName;
					params.data.bankId = data.card.bankId;
					params.data.cardId = '0'; //区分新老用户，新卡cardId是1
					params.data.banktype = data.card.banktype; //标识新卡1
					//params.data.eachLimit = parseInt(data.card.eachLimit);
					//params.data.eachLimitDesc = data.card.eachLimitDesc;
					//新增支持的银行卡最大支付额度
					params.data.maxAmount = parseInt(data.card.maxPayAmount);

					params.dom().find('#bankcard_info_tip').html(data.card.bankName);
					params.dom().find('#bankcard_info_tip').css('color', 'black');
					params.dom().find('#limit_tip').html('该卡本次最多可支付' + data.card.maxPayAmount + '元');

					//根据卡的支持的银行卡最大支付额度，修改最大可购买金额
					if(parseInt(params.data.maxPay) > parseInt(data.card.maxPayAmount)) { //data.card.eachLimit
						params.data.maxPay = data.card.maxPayAmount;
					}
				}
			} else { //如果选择新卡,绑定了银行卡，然后转到payConfirmNew页面，支付失败(但是已经绑卡成功)
				//返回来就刷新页面,因为前面选中的银行卡，已经绑定了,要重置和情况页面view的value
				//但是为了防止在payInput进入选择红包/加息券/银行卡 回来也刷新做了区分是从帮卡完成回来的
				var isfrombandcard = FN.native.readEntry('isfrombandcard', 'string', 'bandcard');
				if(isfrombandcard != undefined && isfrombandcard == '1') {
					FN.page.go('payInput', {
						id: params.data.id,
						goBackUrl: 'productDetail',
						'miniPay': params.data.miniPay,
						isNewbie: params.data.isNewbie,
						newbiePayMaxAmount: params.data.newbiePayMaxAmount
					}, 'load');
				}

			}

		},
		'setInputFocus': function(_el) {
			// 设置为焦点，为兼容iOS7.0系统
			_el.focus();
		},
		'bankCard': function() {
			var phone = FN.user.getUserPhone();

			if(params.data.cardId && params.data.cardId != '0') { //区分老卡
				FN.page.go('selectBanks', {
					userPhone: phone,
					goBackUrl: 'payInput',
					cardId: params.data.cardId,
					forwardUrl: 'payInput'
				}, 'load');
			} else { //新增
				FN.page.go('selectBanks', {
					goBackUrl: 'payInput',
					forwardUrl: 'payInput',
					bankId: params.data.bankId
				}, 'load');
			}
		},
		'jiaxiCard': function() { //选中加息券

			FN.page.go('jiaxicardManage', {
				goBackUrl: 'payInput',
				forwardUrl: 'payInput'
			}, 'load');

		},
		'hongbaoCard': function() { //选中红包

			FN.page.go('hongbaocardManage', '', 'load');

		},
		'hongbaoMoneynew': function(buymoney) {

			//有可用红包，并且前面已经有选中了才执行
			if(params.data.redFlag && params.data.hbtype != '0') {

				//等于空的时候，无法提交按钮，会提示用户输入金额；输入金额在input事件中，会根据最新的金额计算红包,重新保存到hidden
				//同时隐藏红包收益提示
				if(buymoney == undefined || buymoney == '' || buymoney == '0') {
					if(params.data.hbtype == 13) //1000:1 按比例计算,小于1000,提示0元可用
						$('#hbcount').text(parseInt(params.data.hbvalue) + '元待使用');
					else //1:1 门槛红包,购买金额需要大于红包金额
						$('#hbcount').text(parseInt(params.data.hbvalue) + '元红包');

					//最终抵扣的红包金额
					params.data.hbsubmit = '0';

					$('#p_hbdes').css('display', 'none');
					$('#p_hbdes').text('');

				} else { //只有1000:1的才有1000购买限制,红包根据比例来计算;1:1的红包只要购买金额大于红包金额,可全额抵用,没有10000限制
					//如果是1000:1的比例,如果购买金额小于1000;
					if(params.data.hbtype == 13) {
						if(Number(buymoney) < 1000) {
							$('#hbcount').text('0元可用,' + parseInt(params.data.hbvalue) + '元待使用');

							$('#p_hbdes').css('display', 'none');
							$('#p_hbdes').text('');

							//最终抵扣的红包金额
							params.data.hbsubmit = '0';
						} else { //计算比例抵扣的红包；和到期本金和总收益金额，提示；并保存到页面hidde中提交的时候判断有无value

							//计算当前金额理论可用1000:1红包
							var lilundikou = Number(buymoney) / Number(params.data.hbrate);

							var dikou = 0;
							//实际最大可用红包不超过用户选择的这个红包金额
							if(Number(lilundikou) > Number(params.data.hbvalue))

								dikou = Number(params.data.hbvalue);
							else
								dikou = Number(lilundikou);

							//实际只需支付
							var shiji = Number(buymoney) - Number(parseInt(dikou)); //假如有1.6,只能用1元，要取整数;单张1:1红包都是整数

							//计算当前产品到期收益+本金
							var buylength = Number(params.data.buylength);
							var nianhua = Number(params.data.annualYield);
							var money = Number(buymoney);
							//到期收益
							var summoney = FN.util.changeTwoDecimalF(Number((money * nianhua * buylength) / (365 * 100))); //.toFixed(2);

							var allmoney = Number(summoney) + money + parseInt(dikou);
							$('#hbcount').text(parseInt(dikou) + '元可用,' + (parseInt(params.data.hbvalue) - parseInt(dikou)) + '元待使用');

							$('#p_hbdes').css('display', 'block');
							$('#p_hbdes').text('太棒了,收益提升了' + parseInt(dikou) + '元,到期返还' + allmoney.toFixed(2) + '元！');
							myScroll.refresh(); //显示了提示层，刷新页面重新计算高度

							//保存最终选中的红包，抵扣的金额提交
							params.data.hbsubmit = parseInt(dikou) + '';

						}
					} else { //14  1:1 门槛红包;只需要用户输入的购买金额大于 ，红包金额就可以全额抵用；不轮是否大于1000

						/* var lilundikou=Number(params.data.hbvalue);

						 //实际最大可用红包不超过用户选择的这个红包金额
						 if(Number(buymoney)>Number(lilundikou))
						 {
						 //实际只需支付
						 var shiji=Number(buymoney)-Number(parseInt(lilundikou));//假如有1.6,只能用1元，要取整数;单张1:1红包都是整数


						 //计算当前产品到期收益+本金
						 var buylength=Number(params.data.buylength);
						 var nianhua=Number(params.data.annualYield);
						 var money=Number(buymoney);
						 //到期收益
						 var summoney=FN.util.changeTwoDecimalF(Number((money*nianhua*buylength)/(365*100)));

						 var allmoney=money+Number(summoney)+lilundikou;
						 $('#hbcount').text(lilundikou+'元红包');
						 $('#p_hbdes').css('display','block');
						 $('#p_hbdes').text('太棒了,收益提升了'+lilundikou+'元,到期返还'+allmoney.toFixed(2)+'元！');
						 myScroll.refresh();//显示了提示层，刷新页面重新计算高度

						 //保存最终选中的红包，抵扣的金额提交
						 params.data.hbsubmit=parseInt(lilundikou)+'';

						 }
						 else
						 {
						 $('#hbcount').text(lilundikou+'元红包');

						 $('#p_hbdes').css('display','block');
						 $('#p_hbdes').text('购买金额应大于红包金额');

						 //最终抵扣的红包金额
						 params.data.hbsubmit='0';

						 return ;

						 }	*/

						//1:1 门槛红包;只需要用户输入的购买金额大于等于1元 ，红包金额就可以全额抵用；不轮是否大于1000

						var lilundikou = Number(params.data.hbvalue);

						if(Number(buymoney) >= 1) {
							//实际只需支付
							var shiji = Number(buymoney) - Number(parseInt(lilundikou)); //假如有1.6,只能用1元，要取整数;单张1:1红包都是整数

							//计算当前产品到期收益+本金
							var buylength = Number(params.data.buylength);
							var nianhua = Number(params.data.annualYield);
							var money = Number(buymoney);
							//到期收益
							var summoney = FN.util.changeTwoDecimalF(Number((money * nianhua * buylength) / (365 * 100)));

							var allmoney = money + Number(summoney) + lilundikou;
							$('#hbcount').text(lilundikou + '元红包');
							$('#p_hbdes').css('display', 'block');
							$('#p_hbdes').text('太棒了,收益提升了' + lilundikou + '元,到期返还' + allmoney.toFixed(2) + '元！');
							myScroll.refresh(); //显示了提示层，刷新页面重新计算高度

							//保存最终选中的红包，抵扣的金额提交
							params.data.hbsubmit = parseInt(lilundikou) + '';

						} else {
							$('#hbcount').text(lilundikou + '元红包');

							$('#p_hbdes').css('display', 'block');
							$('#p_hbdes').text('购买金额至少1元');

							//最终抵扣的红包金额
							params.data.hbsubmit = '0';

							return;

						}

					}

				}
			}

		},
		'jiaxiMoneynew': function(buymoney) {
			//根据输入的金额计算，对应的加息券收益
			//因为只要输入了金额，选择了加息券，都会计算收益

			var buyjxreward = $('#hid_jx').val();
			if(buyjxreward != undefined && buyjxreward != '0') {
				//购买天数和金额
				var buylength = Number($('#buy_length').text());
				var money = Number(buymoney);

				//加息券年化
				var buyreward = Number(buyjxreward);

				if(buyreward > 0) {
					//本身年化
					var nianhua = Number(params.data.annualYield);
					//本身年化收益
					var nianhuamoney = FN.util.changeTwoDecimalF(Number((money * nianhua * buylength) / (365 * 100)));

					//总共年化收益
					var nhsummoney = FN.util.changeTwoDecimalF(Number((money * (nianhua + buyreward) * buylength) / (365 * 100))); //.toFixed(2);

					//总年化收益+本金
					var allmoney = Number(nhsummoney) + money;
					var shouyi = (nhsummoney - nianhuamoney).toFixed(2);
					if(shouyi != '0.00') {
						$('#p_jxdes').show();

						//本身年化收益+加息券年化收益+本金
						$('#p_jxdes').text('太棒了,收益提升了' + shouyi + '元,到期返还' + FN.util.changeTwoDecimalF(allmoney) + '元！');
					}

				} else {
					$('#p_jxdes').hide();
					$('#p_jxdes').text('');
				}

			}
		},

		'gotoProtocal': function(name, url) {
			if(name == '债权转让协议' || name == '质押借款协议' || name == '债权转让及服务协议' || name == '转让协议') {
				var count = params.dom().find("#pay_input_number").val();
				url += count;
				if(!window.local_obj) {
					$('#pay_input_number').blur();
					setTimeout(function() {
						FN.native.loadExternal(url, 'protocol');
					}, 500);
				} else {
					FN.native.loadExternal(url, 'protocol');
				}
			} else {
				if(!window.local_obj) {
					$('#pay_input_number').blur();
					setTimeout(function() {
						FN.native.loadExternal(url, 'protocol');
					}, 500);
				} else {
					FN.native.loadExternal(url, 'protocol');
				}
			}
			FN.native.ios_setTabbarShow('0');
		},
		'sure': function() {
			//隐藏键盘
			params.dom().find("#pay_input_number").blur();

			// 购买金额
			var payAmount = params.dom().find('#pay_input_number').val();
			// 是否为新手标
			var isNewbie = params.data.isNewbie;
			// 新手限额
			var newbieMaxPay = params.data.newbiePayMaxAmount;
			// 当前银行
			var currentBank = params.data.bankName;
			//卡的当前最大可支付金额
			var bankEachLimit = parseInt(params.data.maxAmount); //eachLimit// 银行单笔限额
			// 剩余金额；注意这个剩余金额在上面Init和选卡update回来都会修改成当前银行卡的最大限额
			var remaindAmount = parseInt(params.data.maxPay);
			// 起投金额
			var minInvestAmount = parseInt(params.data.miniPay);
			//当前产品总共可买金额
			var totalAmout = parseInt(params.data.TotalPay);

			//如果剩余金额是0，点击按钮直接提示已经售罄
			if(params.data.residualAmount <= 0) {
				FN.ctrl.smallTip('亲,当前产品已经售罄,请选择其他产品购买哦~');
				//FN.page.go('productList', '', 'load');
				return;
			}

			//判断勾选协议
			if(!document.getElementById('agreed').checked) {
				FN.ctrl.smallTip('亲，只有勾选了同意上面的协议才能进行购买哦');
				return;
			}

			//判断选择银行卡(老卡或者新卡carid=0)
			if(params.data.cardId == '' || params.data.cardId == undefined) {
				FN.ctrl.smallTip('请选择支付银行卡', 1500);
				return;
			}

			//没有银行预留手机号的情况判断
			if(params.data.msg != undefined) {

				if(params.data.msg == "该银行系统维护中") { //从selectBanks 传递回来的值，进行强行改变文字

					FN.ctrl.smallTip('该银行系统维护中,建议更换银行卡', 1500);
				} else if(params.data.msg == "今日支付额度已用完") {
					FN.ctrl.smallTip('今日支付额度已用完,建议更换银行卡', 1500);

				} else
					FN.ctrl.smallTip(params.data.msg, 1500);

				return;
			}

			//判断是否该卡系统维护中
			if(params.data.maxShowAmount == 0) {
				FN.ctrl.smallTip('该银行系统维护中,建议更换银行卡', 1500);
				return;
			}

			//选中的银行卡（老卡），今日可购买金额已经用完提示
			if(params.data.maxAmount == 0) {
				FN.ctrl.smallTip('今日支付额度已用完,建议更换银行卡', 1500);
				return;
			}

			//输入了金额下面开始判断
			if(payAmount == '') {
				FN.ctrl.smallTip('请输入购买金额');
				return;
			}

			//			if(parseInt(payAmount) != payAmount){
			//				FN.ctrl.smallTip('请输入整数');
			//				return;
			//			}

			//判断是否为新手标
			if(isNewbie == 1) {
				if(payAmount > newbieMaxPay) {
					FN.ctrl.smallTip('新手标最多只能购买' + newbieMaxPay + '元。');
					return;
				}
			}

			//如果选中的门槛(1:1)红包，输入的购买金额小于等于选中的红包金额；要提示
			if(params.data.hbtype != 'null' && params.data.hbtype != 13 && params.data.hbtype != '0') {
				var seleHBvalue = Number(params.data.hbvalue);
				var inputMoney = Number($('#pay_input_number').val());

				if(inputMoney < 1) //seleHBvalue
				{
					FN.ctrl.smallTip('购买金额至少1元'); //购买金额应大于红包金额
					return;
				}
			}

			// 购买金额 > 银行单笔限额(卡的当前最大可支付金额)
			if((payAmount > bankEachLimit && payAmount <= totalAmout) ||
				(payAmount > totalAmout && totalAmout >= bankEachLimit)) {

				//FN.ctrl.smallTip(currentBank + '单笔限额' + bankEachLimit + '元');
				FN.ctrl.callConfirm({
					title: '超出限额',
					content: '该卡本次购买最多可支付' + bankEachLimit + '元',
					sureDes: '我要换卡',
					cancelDes: '只买' + bankEachLimit,
					confirmFun: function() {
						//转到新选择银行卡页面
						FN.ctrl.canDo() && FN.ctrl.get('payInput').bankCard();

					},
					cancelFun: function() {
						payAmount = bankEachLimit;

						//修改购买金额，
						params.dom().find('#pay_input_number').val(bankEachLimit);

						FN.ctrl.confirmCtrl(false);

						//可购买金额不足，要重新计算加息券抵扣的金额
						if(params.data.reward == 1 && params.data.jxid != '0') {
							FN.ctrl.get('payInput').jiaxiMoneynew(bankEachLimit);
						}

						//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
						//根据是否有红包，是否选中了
						if(params.data.redFlag && params.data.hbtype != '0') {
							FN.ctrl.get('payInput').hongbaoMoneynew(bankEachLimit);
						}

						//checkBankcard('1', params.data.id, bankEachLimit, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
						commonToPay('1', params.data.id, bankEachLimit, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
							params.data.hbid, params.data.bankId);
						return;
					}
				});
				return;
			}

			//购买金额>=银行限额>=产品剩余总额
			if((payAmount > bankEachLimit && bankEachLimit > totalAmout)) {
				FN.ctrl.callConfirm({
					title: '快卖光了',
					content: '快卖光了，仅余' + params.data.TotalPay + '元，是否全部买下？',
					sureDes: '买下',
					cancelDes: '不买下',
					confirmFun: function() {

						payAmount = params.data.TotalPay;

						//修改购买金额，会触发输入框的oninput事件;其中会调用,加息券和红包的判断
						params.dom().find('#pay_input_number').val(params.data.TotalPay);

						FN.ctrl.confirmCtrl(false);

						//可购买金额不足，要重新计算加息券抵扣的金额
						if(params.data.reward == 1 && params.data.jxid != '0') {
							FN.ctrl.get('payInput').jiaxiMoneynew(params.data.TotalPay);
						}

						//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
						//根据是否有红包，是否选中了
						if(params.data.redFlag && params.data.hbtype != '0') {
							FN.ctrl.get('payInput').hongbaoMoneynew(params.data.TotalPay);
						}

						//checkBankcard('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
						commonToPay('1', params.data.id, params.data.TotalPay, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
							params.data.hbid, params.data.bankId);
						return;

					},
					cancelFun: function() {

						FN.ctrl.confirmCtrl(false);

						params.dom().find('#pay_input_number').val('');

						//可购买金额不足，要重新计算加息券抵扣的金额
						if(params.data.reward == 1 && params.data.jxid != '0') {
							FN.ctrl.get('payInput').jiaxiMoneynew(0);
						}

						//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
						//根据是否有红包，是否选中了
						if(params.data.redFlag && params.data.hbtype != '0') {
							FN.ctrl.get('payInput').hongbaoMoneynew(0);
						}

						return;
					}
				});

				return;
			}

			//下面就是购买不超过银行卡限额bankEachLimit的逻辑(上面init方法和update方法会对maxpay进行修改,变为最大可购买银行卡限额)
			//payAmount <=bankEachLimit
			//页面上校验通过后,判断是否设置了支付密码,完成后跳转到新绑卡或者去支付页面
			// 剩余金额 <= 起投金额 （剩余金额小于起投金额必须全部买下）
			if(remaindAmount <= minInvestAmount) {

				// 购买金额 < 起投金额 && 真实剩余金额>启投金额
				if(payAmount < minInvestAmount && totalAmout > minInvestAmount) {

					FN.ctrl.smallTip('购买金额应大于等于' + minInvestAmount + '元');
					return;
				}

				if(payAmount == remaindAmount) {

					//checkBankcard('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
					commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
						params.data.hbid, params.data.bankId);
					return;

				} else {

					if(payAmount == "") {
						FN.ctrl.smallTip('请输入购买金额');
						return;
					}

					FN.ctrl.callConfirm({
						title: '快卖光了',
						content: '剩余金额' + remaindAmount + '元，是否全部买下？',
						sureDes: '买下',
						cancelDes: '不买下',
						confirmFun: function() {

							payAmount = remaindAmount;

							//修改购买金额，
							params.dom().find('#pay_input_number').val(remaindAmount);

							FN.ctrl.confirmCtrl(false);

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(remaindAmount);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(remaindAmount);

							}

							//checkBankcard('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);
							return;
						},
						cancelFun: function() {
							//剩余金额小于起投金额必须全部买下,否则无法点击
							FN.ctrl.confirmCtrl(false);

							params.dom().find('#pay_input_number').val('');

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(0);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(0);
							}

							return;
						}
					});

					return;
				}
			} else {

				// 购买金额 < 起投金额
				if(payAmount < minInvestAmount) {
					FN.ctrl.smallTip('购买金额应大于等于' + minInvestAmount + '元');
					return;
				}

				// 起投金额 <= 购买金额 <= （剩余金额 - 起投金额）
				if(minInvestAmount <= payAmount && payAmount <= (remaindAmount - minInvestAmount)) {
					// checkBankcard('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);

					commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
						params.data.hbid, params.data.bankId);
					return;

				}

				// （剩余金额 - 起投金额） < 购买金额 < 剩余金额；(因为上面的init和update方法吧银行卡的限额修改成了剩余金额)
				if((remaindAmount - minInvestAmount) < payAmount && payAmount < remaindAmount && payAmount >= totalAmout) { //新增和当前产品真正的剩余额度比较

					FN.ctrl.callConfirm({
						title: '快卖光了',
						content: '快卖光了，仅余' + remaindAmount + '元，是否全部买下？',
						sureDes: '买下',
						cancelDes: '不买下',
						confirmFun: function() {

							payAmount = remaindAmount;

							//修改购买金额，会触发输入框的oninput事件;其中会调用,加息券和红包的判断
							params.dom().find('#pay_input_number').val(remaindAmount);

							FN.ctrl.confirmCtrl(false);

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(remaindAmount);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(remaindAmount);
							}

							//checkBankcard('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);
							return;

						},
						cancelFun: function() {
							//用户有权选择不买，，
							FN.ctrl.confirmCtrl(false);

							//checkBankcard('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);

							return;

						}
					});
					return;
				}

				// （剩余金额 - 起投金额） < 购买金额 < 剩余金额<(剩余金额 - 购买金额)(因为上面的init和update方法吧银行卡的限额修改成了剩余金额)
				//剩余金额不足起投金额,提示快卖光了，一起卖掉
				if((remaindAmount - minInvestAmount) < payAmount && payAmount < remaindAmount && payAmount < totalAmout && (totalAmout - payAmount) < minInvestAmount) {

					FN.ctrl.callConfirm({
						title: '快卖光了',
						content: '快卖光了，仅余' + remaindAmount + '元，是否全部买下？',
						sureDes: '买下',
						cancelDes: '不买下',
						confirmFun: function() {

							payAmount = remaindAmount;

							//修改购买金额，会触发输入框的oninput事件;其中会调用,加息券和红包的判断
							params.dom().find('#pay_input_number').val(remaindAmount);

							FN.ctrl.confirmCtrl(false);

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(remaindAmount);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(remaindAmount);
							}

							//checkBankcard('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);
							return;

						},
						cancelFun: function() {

							FN.ctrl.confirmCtrl(false);

							//checkBankcard('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);
						}
					});
					return;
				}

				// （剩余金额 - 起投金额） < 购买金额 < 剩余金额；(因为上面的init和update方法吧银行卡的限额修改成了剩余金额)
				//剩余的金额足够超过起投金额
				if((remaindAmount - minInvestAmount) < payAmount && payAmount < remaindAmount && payAmount < totalAmout) {
					commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
						params.data.hbid, params.data.bankId);
					return;
				}

				// 购买金额 == 剩余金额
				if(payAmount == remaindAmount) {

					// checkBankcard('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
					commonToPay('1', params.data.id, payAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
						params.data.hbid, params.data.bankId);
					return;
				} else {

					// 剩下肯定是购买金额 > 剩余金额的情况 (现在如果购买金额超过卡的剩余限额,上门就会过滤掉)
					FN.ctrl.callConfirm({
						title: '快卖光了',
						content: '快卖光了，仅余' + remaindAmount + '元，是否全部买下？',
						sureDes: '买下',
						cancelDes: '不买下',
						confirmFun: function() {

							payAmount = remaindAmount;

							//修改购买金额，会触发输入框的oninput事件;其中会调用,加息券和红包的判断
							params.dom().find('#pay_input_number').val(remaindAmount);

							FN.ctrl.confirmCtrl(false);

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(remaindAmount);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(remaindAmount);
							}

							//checkBankcard('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit, params.data.hbid);
							commonToPay('1', params.data.id, remaindAmount, params.data.cardId, params.data.jxid, params.data.hbtype, params.data.hbsubmit,
								params.data.hbid, params.data.bankId);
							return;

						},
						cancelFun: function() {

							FN.ctrl.confirmCtrl(false);

							params.dom().find('#pay_input_number').val('');

							//可购买金额不足，要重新计算加息券抵扣的金额
							if(params.data.reward == 1 && params.data.jxid != '0') {
								FN.ctrl.get('payInput').jiaxiMoneynew(0);
							}

							//可购买金额不足，要重新计算可抵用的红包金额和类型保存，传递给api
							//根据是否有红包，是否选中了
							if(params.data.redFlag && params.data.hbtype != '0') {
								FN.ctrl.get('payInput').hongbaoMoneynew(0);
							}

							return;
						}
					});
					return;
				}

			}

		}
	}
}).set('payConfirmChannel4', function(params) {

	//payChannel 4,8初始化init进入页面短信已经发送了;60s后"重新发送"才会调用sendSMSCode方法
	//orderId 参数无用
	var sendSMSCode = function() {

		FN.ctrl.setClock(60,
			params.dom().find("#payConfirmChannel_timer"),
			params.dom().find("#payConfirmChannel_timer"),

			sendSMSCode,

			params.data.orderId
		);

		//快捷支付等于4(联讯)才调用发短信接口。。；等于8(富友快捷会自动发短信)
		if(params.data.payChannel == 4) {
			var url = 'api/pay/send_pay_message';
			FN.native.post(url, {
				order_id: params.data.order_id
			}, 'send_pay_message.post', 'json');
			FN.callbackFunc['send_pay_message.post'] = function(data) {
				if(FN.ctrl.exception(data)) {
					return;
				}
				if(data.error == '0') {

				} else if(data.error == '2') {
					FN.ctrl.smallTip(data.result, 2000);
				}
			}
		}

		//如果payChannel等于8,可以"重新发送"短信；需要多传递一个红包金额给send_pay_message;
		//同时会多返回一个新的order_id，覆盖init进入时候的order_id,提交confirm的时候传递最新的
		if(params.data.payChannel == 8) //&&$('#hid_payChannel').val()=='1'
		{
			var url = 'api/pay/send_pay_message';
			FN.native.post(url, {
				order_id: params.data.order_id,
				red_envelope_amount: params.data.red_envelope_amount
			}, 'send_pay_message.post', 'json');
			FN.callbackFunc['send_pay_message.post'] = function(data) {
				if(FN.ctrl.exception(data)) {
					return;
				}
				if(data.error == '0') {
					//返回一个新的order_id覆盖init时候传入的order_id
					params.data.order_id = data.result.order_id;

				} else if(data.error == '2') {
					FN.ctrl.smallTip(data.result, 2000);
				}
			}
		}

	}
	return {
		'init': function(data) {
			//进入传递过来的参数
			params.data = data;

			FN.native.setHead({
				url: 'payInput',
				title: '购买'
			});
			FN.native.setNavi({
				show: 0
			});
			FN.ctrl.show(params.ctrlName, data);

			//重发短信倒计时
			FN.ctrl.setClock(60,
				params.dom().find("#payConfirmChannel_timer"), //重发短信按钮
				params.dom().find("#payConfirmChannel_timer"),

				sendSMSCode, //上面定义发短信的方法

				//富友快捷,点击重新发送短信，接口会重新返回一个新的orderId回来，然后替换init初始化时返回的旧的
				params.data.orderId
			);

			//上面初始化sendSMSCode后，修改通道标识
			//channel4页面上<input type="hidden" value="0" id="hid_payChannel"/>
			/*if(params.data.payChannel==8)
			 {
			 $('#hid_payChannel').val('1');
			 alert('8');
			 }*/

		},
		'confirm': function() {
			params.dom().find('#phonecodeInput').blur();
			var codeValue = params.dom().find('#phonecodeInput').val();
			if(codeValue.length != 0) { // 验证码格式正确
				FN.native.openWaitDialog();

				params.dom().find('.btn-primary').attr('disabled', true);
				FN.native.post('api/pay/create_by_order', {
					order_id: params.data.order_id,
					phone_code: codeValue,
					reward_id: params.data.reward_id,
					red_envelope_type: params.data.red_envelope_type,
					red_envelope_amount: params.data.red_envelope_amount,
					red_envelope_id: params.data.red_envelope_id
				}, 'create_by_order.post', 'json');

				FN.callbackFunc['create_by_order.post'] = function(data) { //data是返回的参数

					FN.pay.doResult(data, function() { //----------------------------支付操作,其中有轮询
						params.dom().find('.btn-primary').attr('disabled', false);
					});
				}
			} else {
				FN.ctrl.smallTip('请输入验证码');
			}
		}
	}
}).set('payConfirm', function(params) {
	var getPayConfirm = function(data) {
		FN.util.setGlobelBGColor();
		params.data = data; //吧当前data传递给系统的params，在当前.set模块都可以调用到
		FN.ctrl.show(params.ctrlName);
		FN.native.setHead({
			url: 'payInput',
			title: '购买'
		});
		FN.native.setNavi({
			show: 0
		});

		//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
		//这里，页面初始化，设置为可用
		params.dom().find('.btn-primary').attr('disabled', false);
		params.dom().find('.btn-primary').click(function() {
			FN.ctrl.canDo() && FN.ctrl.get('payConfirm').sure();
		});
		params.dom().find('.forget-password').click(function() {
			FN.ctrl.get('payConfirm').resetPayConfirm();
		});
		FN.native.closeWaitDialog();
	}

	return {
		'init': getPayConfirm,
		'update': function(data) {
			//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
			//这里，如果页面重新回来，设置为可用
			params.dom().find('.btn-primary').attr('disabled', false);

			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'payInput',
				title: '购买'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'resetPayConfirm': function() {
			var phone = FN.user.getUserPhone();
			FN.page.go('resetPayConfirm', {
				user_phone: phone
			}, 'load');
		},
		'sure': function() {

			var phone = FN.user.getUserPhone();
			params.dom().find('#pay_password').blur();
			var pay_password = params.dom().find('#pay_password').val();
			if(pay_password == '') {
				FN.ctrl.smallTip('请输入支付密码', 3000);
				return;
			}
			pay_password = FN.util.MD5(FN.util.MD5(pay_password) + phone.substring(7));

			if(!pay_password || pay_password.length < 6) {

				FN.ctrl.smallTip('支付密码不能少于6位', 3000);

				return;

			}
			//          if(!FN.util.checkLoginPassword(pay_password)){
			//           FN.ctrl.smallTip('支付密码不能少于6位',1500);
			//           return;
			//           }
			if(!FN.util.checkPassword(pay_password)) {
				return;
			}
			params.data.pay_password = pay_password;
			FN.native.openWaitDialog();

			//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
			params.dom().find('.btn-primary').attr('disabled', true);
			FN.native.post('api/pay/create_by_cardId', params.data, 'get_create_by_cardId.get', 'json');
			FN.callbackFunc['get_create_by_cardId.get'] = function(data) {

				FN.pay.doResult(data, function() { //----------------------------支付操作,其中有轮询
					//有错误，就把"确认"按钮,恢复成可点击状态
					params.dom().find('.btn-primary').attr('disabled', false);
				});
			}
		}
	}

}).set('payConfirmNew', function(params) {

	//payChannel 4,8初始化init进入页面短信已经发送了;60s后"重新发送"才会调用sendSMSCode方法
	//orderId 参数无用
	var sendSMSCode = function() {

		if((params.data.payChannel == 4 || params.data.payChannel == 8) && params.data.order_id != undefined) { //之前的快捷支付
			FN.ctrl.setClock(60,
				params.dom().find("#payConfirmChannel_timer"),
				params.dom().find("#payConfirmChannel_timer"),

				sendSMSCode,

				params.data.order_id
			);
			// alert(JSON.stringify(params.data));
			//快捷支付等于4(联动快捷)才调用发短信接口。。；等于8(富友快捷会自动发短信)
			if(params.data.payChannel == 4) {
				var url = 'api/pay/send_pay_message';
				FN.native.post(url, {
					order_id: params.data.order_id
				}, 'send_pay_message.post', 'json');
				FN.callbackFunc['send_pay_message.post'] = function(data) {
					if(FN.ctrl.exception(data)) {
						return;
					}
					if(data.error == '0') {

					} else if(data.error == '2') {
						FN.ctrl.smallTip(data.result.msg, 2000);
					} else if(data.error == '3') {
						params.data.order_id = data.result.order_id;
						params.data.bank_phone = data.result.bank_phone;
						if(data.result.pay_channel != params.data.payChannel) {
							FN.ctrl.smallTip('正在为您切换支付平台,短信已重发', 1500);
						}

						params.data.payChannel = data.result.pay_channel;
						params.data.payChannel_name = data.result.pay_channel_name;

						$('#pay_channelname').html('');
						$('#pay_channelname').html(params.data.payChannel_name);
						$('#pay_phone').html('');
						$('#pay_phone').html(FN.util.setSecurePhone(params.data.bank_phone));
					}
				}
			}

			//如果payChannel等于8,可以"重新发送"短信；需要多传递一个红包金额给send_pay_message;
			//同时会多返回一个新的order_id，覆盖init进入时候的order_id,提交confirm的时候传递最新的
			if(params.data.payChannel == 8) //&&$('#hid_payChannel').val()=='1'
			{
				var url = 'api/pay/send_pay_message';
				FN.native.post(url, {
					order_id: params.data.order_id
				}, 'send_pay_message.post', 'json');
				FN.callbackFunc['send_pay_message.post'] = function(data) {
					if(FN.ctrl.exception(data)) {
						return;
					}
					if(data.error == '0') {

					} else if(data.error == '2') {
						FN.ctrl.smallTip(data.result.msg, 2000);
					} else if(data.error == '3') {
						params.data.order_id = data.result.order_id;
						params.data.bank_phone = data.result.bank_phone;
						if(data.result.pay_channel != params.data.payChannel) {
							FN.ctrl.smallTip('正在为您切换支付平台,短信已重发', 1500);
						}

						params.data.payChannel = data.result.pay_channel;
						params.data.payChannel_name = data.result.pay_channel_name;
						$('#pay_channelname').html('');
						$('#pay_channelname').html(params.data.payChannel_name);
						$('#pay_phone').html('');
						$('#pay_phone').html(FN.util.setSecurePhone(params.data.bank_phone));
					}
				}
			}
		}
	}

	return {
		'init': function(data) {
			FN.util.setGlobelBGColor();
			//进入传递过来的参数
			params.data = data;

			//清理writeEntity中保存的isfrombandcard，返回payInput时不刷新页面
			FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

			//因为只有在confrim支付成功后，才能绑卡成功 ;所以要返回到绑卡页面
			if(params.data.fromaddcard != undefined && params.data.fromaddcard == '1') {
				FN.native.setHead({
					url: 'addBankcardNew',
					title: '购买'
				});
			} else if(params.data.fromlimit != undefined && params.data.fromlimit == '1') {
				FN.native.setHead({
					url: 'increaseLimit',
					title: '购买'
				});
			} else {
				FN.native.setHead({
					url: 'payInput',
					title: '购买'
				});
			}
			FN.native.setNavi({
				show: 0
			});

			//因为后台支付平台的名称,不统一客户端做个区别
			if(data.payChannel == 4 || data.payChannel == 1)
				data.payChannel_name = "联动优势";
			if(data.payChannel == 8)
				data.payChannel_name = "上海富友";

			FN.ctrl.show(params.ctrlName, data);

			//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
			//这里页面初始化，设置为可用
			params.dom().find('.btn-primary').attr('disabled', false);

			//忘记密码
			params.dom().find('.forget-password').click(function() {
				FN.ctrl.get('payConfirmNew').resetPayConfirm();
			});

			//隐藏滚动条提示
			FN.native.closeWaitDialog();

			//4,8渠道时候，重发短信倒计时；同时显示输入"支付密码"和顶上的tips提示
			if((params.data.payChannel == 4 || params.data.payChannel == 8) && params.data.order_id != undefined) {
				FN.ctrl.setClock(60,
					params.dom().find("#payConfirmChannel_timer"), //重发短信按钮
					params.dom().find("#payConfirmChannel_timer"),

					sendSMSCode, //上面定义发短信的方法

					//富友快捷,点击重新发送短信，接口会重新返回一个新的orderId回来，然后替换init初始化时返回的旧的
					//4,8渠道才会传递orderid
					params.data.order_id
				);

				$('#top_tipdiv').show();
				$('#yzm_div').show();
				$('#phone_div').show();
			} else { //普通支付，默认不显示顶部的tip提示和支付密码
				$('#top_tipdiv').hide();
				$('#yzm_div').hide();
				$('#phone_div').hide();

			}
		},
		'update': function(data) {
			//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
			//这里，如果页面重新回来，设置为可用
			params.dom().find('.btn-primary').attr('disabled', false);

			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'payInput',
				title: '购买'
			});
			FN.native.setNavi({
				show: 0
			});

			//当页面正在倒计时,用户点击了"忘记密码"，转到其他页面回来;之前的倒计时已经失效；
			//需要继续在之前基础上倒计时
			if((params.data.payChannel == 4 || params.data.payChannel == 8)) {
				//只能根据获取页面上html内容来获取上次倒计时的秒
				//var secondstr=$('#payConfirmChannel_timer').html();
				//var secondcount=secondstr.replace(/[^0-9]+/g, '');

				//正则获取所有数字
				//if(!isNaN(secondcount))

				clearInterval(FN.ctrl.clock);
				$('#payConfirmChannel_timer').html('重新发送');
				$('#payConfirmChannel_timer').css('color', '#3a95e6');
				$('#payConfirmChannel_timer').bind('click', function() {
					sendSMSCode();
				});

			}

		},
		'resetPayConfirm': function() { //忘记支付密码
			var phone = FN.user.getUserPhone();
			//传递用户是否认证过,给重置支付密码页面,如果没认证就不需要填写身份证和姓名了；认证了就需要填写。
			FN.page.go('resetPayConfirm', {
				user_phone: phone
			}, 'load');
		},
		'confirm': function() {
			//根据渠道区分是否有输入验证码和支付密码逻辑
			if((params.data.payChannel == 4 || params.data.payChannel == 8) && params.data.order_id != undefined) {

				//验证码判断
				params.dom().find('#phonecodeInput').blur();
				var codeValue = params.dom().find('#phonecodeInput').val();
				if(codeValue == '') {
					FN.ctrl.smallTip('请输入验证码', 3000);
					return;
				}
				if(codeValue.length < 4) {
					FN.ctrl.smallTip('请输入正确的验证码', 3000);
					return;
				}
				params.data.phone_code = codeValue;

				//支付密码判断
				var phone = FN.user.getUserPhone();
				params.dom().find('#pay_password').blur();
				var pay_password = params.dom().find('#pay_password').val();
				if(pay_password == '') {
					FN.ctrl.smallTip('请输入支付密码', 3000);
					return;
				}
				pay_password = FN.util.MD5(FN.util.MD5(pay_password) + phone.substring(7));
				if(!pay_password || pay_password.length < 6) {

					FN.ctrl.smallTip('支付密码不能少于6位', 3000);
					return;
				}
				if(!FN.util.checkPassword(pay_password)) {
					return;
				}
				params.data.pay_password = pay_password;

				//提示进度
				FN.native.openWaitDialog();
				//防止重复点击
				params.dom().find('.btn-primary').attr('disabled', true);

				//调用确认支付接口
				FN.native.post('api/pay/create', {
					product_cate_id: params.data.product_cate_id,
					product_id: params.data.product_id,
					pay_amount: params.data.pay_amount,
					pay_password: params.data.pay_password,
					card_id: 0, //params.data.card_id
					order_id: params.data.order_id, //channel4,8时候有order_id就不传递card_id
					phone_code: params.data.phone_code,
					reward_id: params.data.reward_id,
					red_envelope_type: params.data.red_envelope_type,
					red_envelope_amount: params.data.red_envelope_amount,
					red_envelope_id: params.data.red_envelope_id

				}, 'create_by_order.post', 'json');

				FN.callbackFunc['create_by_order.post'] = function(data) { //data是返回的参数

					if(FN.ctrl.exception(data, true)) {
						return;
					}
					if(data.error == '0') {
						//成功,同时恢复按钮可用
						params.dom().find('.btn-primary').attr('disabled', false);
						FN.page.go('paySuccess', {
							goldAutumnIphone:data.result.goldAutumnIphone,
							goldAutumnIphoneMsg:data.result.goldAutumnIphoneMsg,
							goldAutumnInterest:data.result.goldAutumnInterest,
							goldAutumnInterestMsg:data.result.goldAutumnInterestMsg,
							goldAutumnUrl:data.result.goldAutumnUrl,
							rankOnline:data.result.rankOnline,
							rankUrl:data.result.rankUrl,
							rankImageUrl:data.result.rankImageUrl,
							startdate: data.result.beginTime,
							fromsrc: data.result.productCateId,
							upid: data.result.userProductId,
							haveFlow: data.result.haveFlow,
							flowCount: data.result.flowCount,
							haveRedEnvelope: data.result.haveRedEnvelope,
							redEnvelopeAmount: data.result.redEnvelopeAmount,
							redEnvelopeId: data.result.redEnvelopeId,
							pubId: data.result.pubId,
							shareHeader: data.result.shareHeader,
							shareTitle: data.result.shareTitle,
							shareIcon: data.result.shareIcon,
							url: data.result.url,
							activityUrl: data.result.activityUrl,
							haveMonthlyInterestActivity: data.result.haveMonthlyInterestActivity,
							interestTicketRewardShare: data.result.interestTicketRewardShare,
							currentAmountAttained: data.result.currentAmountAttained,
							haveInterestTicket: data.result.haveInterestTicket,
							currentMonthAmount: data.result.currentMonthAmount,
							monthNeedAmount: data.result.monthNeedAmount,
							monthMaxAmount: data.result.monthMaxAmount,
							minInvestAmount: data.result.minInvestAmount,
							month: data.result.month,
							redPackageMsg: data.result.redPackageMsg,
							luckyDrawMsg: data.result.luckyDrawMsg,
							huafeiMsg: data.result.huafeiMsg,
							luckyDrawURL: data.result.luckyDrawURL,
							userProductId: data.result.userProductId,
							shareFlow: data.result.shareFlow,
							friendFlowMsg: data.result.friendFlowMsg,
							friendFlowUrl: data.result.friendFlowUrl,
							haveExperience: data.result.haveExperience,
							experienceMoneyMsg: data.result.experienceMoneyMsg,
							experienceMoneyMxMsg: data.result.experienceMoneyMxMsg,
							havePlatformPro: data.result.havePlatformPro,
							htmlpath: data.result.htmlpath,
							htmlImage: data.result.htmlImage,
							showNewbieGift:data.result.showNewbieGift,
							showNewbieGiftUrl:data.result.showNewbieGiftUrl,
							firstInvestOnline:data.result.firstInvestOnline,
							firstInvestMsg: data.result.firstInvestMsg,
							firstInvestMxMsg: data.result.firstInvestMxMsg,
							secondInvestOnline:data.result.secondInvestOnline,
							secondInvestMsg: data.result.secondInvestMsg,
							secondInvestMxMsg: data.result.secondInvestMxMsg,
							friendShare : data.result.friendShare ,//新版邀请有奖平分三万
							friendShareUrl: data.result.friendShareUrl,
							friendShareMsg: data.result.friendShareMsg,
							midAutumnFestivalInterest:data.result.midAutumnFestivalInterest,//购买成功送加息券
							midAutumnFestivalInterestMsg:data.result.midAutumnFestivalInterestMsg

						}, 'load');
					} else if(data.error == '3') {
						FN.native.closeWaitDialog();
						//切换通道,快捷的话,一般都是在快捷通道之间切换,页面只有显示新的平台提示
						//验证码都在
						FN.ctrl.smallTip('支付失败,正在为您切换支付平台......', 2500);
						//根据返回的新的通道的信息覆盖之前的；当用户再次点击"确认"按钮，再次提交新的信息给api接口
						params.data.payChannel = data.result.pay_channel;
						params.data.order_id = data.result.order_id;

						//清空验证码.新通道会重新发验证码
						$('#phonecodeInput').val('');
						params.data.phone_code = '';

						//页面顶部显示新的接收短信的手机号码
						if(data.result.pay_channel == 1)
							$('#pay_channelname').html('联动优势');
						else if(data.result.pay_channel == 4)
							$('#pay_channelname').html('联动优势');
						else if(data.result.pay_channel == 8)
							$('#pay_channelname').html('上海富友');

						//接收短信号码
						$('#pay_phone').html(FN.util.setSecurePhone(data.result.bank_phone));

						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);

						//倒计时要重新计时
						if((params.data.payChannel == 4 || params.data.payChannel == 8)) {
							FN.ctrl.setClock(60,
								params.dom().find("#payConfirmChannel_timer"), //重发短信按钮
								params.dom().find("#payConfirmChannel_timer"),

								sendSMSCode, //上面定义发短信的方法

								//富友快捷,点击重新发送短信，接口会重新返回一个新的orderId回来，然后替换init初始化时返回的旧的
								//4,8渠道才会传递orderid
								params.data.order_id
							);
						}

					} else if(data.error == '4') {
						//如果顶部返回直接回到payInput页面
						FN.native.setHead({
							url: 'payInput',
							title: '购买'
						});
						FN.native.setNavi({
							show: 0
						});

						//标识支付失败，但是绑卡成功了,区分其他页面回到payInput页面防止全部都刷新
						FN.native.writeEntry('isfrombandcard', '1', 'string', 'bandcard');

						//修改手机保存的 用户是否认证过了。。绑卡成功就认证了
						FN.native.writeEntry('iscertification', '1', 'string', 'certification');

						FN.native.closeWaitDialog();
						FN.ctrl.smallTip(data.result);
						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);

					} else { //1，2直接返回错误信息
						FN.native.closeWaitDialog();
						FN.ctrl.smallTip(data.result);
						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);
					}

					/*FN.pay.doResult(data, function () {//----------------------------支付操作,其中有轮询
					 params.dom().find('.btn-primary').attr('disabled', false);
					 });*/
				}

			} else {
				//只有输入支付密码；但是出错，要切换通道到4,8
				var phone = FN.user.getUserPhone();
				params.dom().find('#pay_password').blur();
				var pay_password = params.dom().find('#pay_password').val();
				if(pay_password == '') {
					FN.ctrl.smallTip('请输入支付密码', 3000);
					return;
				}
				//md5加密
				pay_password = FN.util.MD5(FN.util.MD5(pay_password) + phone.substring(7));
				if(!pay_password || pay_password.length < 6) {
					FN.ctrl.smallTip('支付密码不能少于6位', 3000);
					return;
				}
				//          if(!FN.util.checkLoginPassword(pay_password)){
				//           FN.ctrl.smallTip('支付密码不能少于6位',1500);
				//           return;
				//           }
				if(!FN.util.checkPassword(pay_password)) {
					return;
				}

				//支付密码
				params.data.pay_password = pay_password;
				//提示进度
				FN.native.openWaitDialog();

				//密码输入正确,防止多次重复点击,在点击之后把“按钮”设置为不可用
				params.dom().find('.btn-primary').attr('disabled', true);

				//调用确认支付接口
				FN.native.post('api/pay/create', {
					product_cate_id: params.data.product_cate_id,
					product_id: params.data.product_id,
					pay_amount: params.data.pay_amount,
					pay_password: params.data.pay_password,
					card_id: params.data.card_id,
					order_id: 0, //params.data.order_id channel=1 order_id传递0
					reward_id: params.data.reward_id,
					red_envelope_type: params.data.red_envelope_type,
					red_envelope_amount: params.data.red_envelope_amount,
					red_envelope_id: params.data.red_envelope_id

				}, 'create_by_order.post', 'json');
				FN.callbackFunc['create_by_order.post'] = function(data) {
					//data是返回的参数
					if(FN.ctrl.exception(data, true)) {
						return;
					}
					if(data.error == '0') {
						//成功,同时恢复按钮可用
						params.dom().find('.btn-primary').attr('disabled', false);
						FN.page.go('paySuccess', {
							goldAutumnIphone:data.result.goldAutumnIphone,
							goldAutumnIphoneMsg:data.result.goldAutumnIphoneMsg,
							goldAutumnInterest:data.result.goldAutumnInterest,
							goldAutumnInterestMsg:data.result.goldAutumnInterestMsg,
							goldAutumnUrl:data.result.goldAutumnUrl,
							rankOnline:data.result.rankOnline,
							rankUrl:data.result.rankUrl,
							rankImageUrl:data.result.rankImageUrl,
							startdate: data.result.beginTime,
							fromsrc: data.result.productCateId,
							upid: data.result.userProductId,
							haveFlow: data.result.haveFlow,
							flowCount: data.result.flowCount,
							haveRedEnvelope: data.result.haveRedEnvelope,
							redEnvelopeAmount: data.result.redEnvelopeAmount,
							redEnvelopeId: data.result.redEnvelopeId,
							pubId: data.result.pubId,
							shareHeader: data.result.shareHeader,
							shareTitle: data.result.shareTitle,
							shareIcon: data.result.shareIcon,
							url: data.result.url,
							activityUrl: data.result.activityUrl,
							haveMonthlyInterestActivity: data.result.haveMonthlyInterestActivity,
							interestTicketRewardShare: data.result.interestTicketRewardShare,
							currentAmountAttained: data.result.currentAmountAttained,
							haveInterestTicket: data.result.haveInterestTicket,
							currentMonthAmount: data.result.currentMonthAmount,
							monthNeedAmount: data.result.monthNeedAmount,
							monthMaxAmount: data.result.monthMaxAmount,
							minInvestAmount: data.result.minInvestAmount,
							month: data.result.month,
							redPackageMsg: data.result.redPackageMsg,
							luckyDrawMsg: data.result.luckyDrawMsg,
							huafeiMsg: data.result.huafeiMsg,
							luckyDrawURL: data.result.luckyDrawURL,
							userProductId: data.result.userProductId,
							shareFlow: data.result.shareFlow,
							friendFlowMsg: data.result.friendFlowMsg,
							friendFlowUrl: data.result.friendFlowUrl,
							haveExperience: data.result.haveExperience,
							experienceMoneyMsg: data.result.experienceMoneyMsg,
							experienceMoneyMxMsg: data.result.experienceMoneyMxMsg,
							havePlatformPro: data.result.havePlatformPro,
							htmlpath: data.result.htmlpath,
							htmlImage: data.result.htmlImage,
							showNewbieGift:data.result.showNewbieGift,
							showNewbieGiftUrl:data.result.showNewbieGiftUrl,
							firstInvestOnline:data.result.firstInvestOnline,
							firstInvestMsg: data.result.firstInvestMsg,
							firstInvestMxMsg: data.result.firstInvestMxMsg,
							secondInvestOnline:data.result.secondInvestOnline,
							secondInvestMsg: data.result.secondInvestMsg,
							secondInvestMxMsg: data.result.secondInvestMxMsg,
							friendShare : data.result.friendShare ,//新版邀请有奖平分三万
							friendShareUrl: data.result.friendShareUrl,
							friendShareMsg: data.result.friendShareMsg,
							midAutumnFestivalInterest:data.result.midAutumnFestivalInterest,//购买成功送加息券
                            midAutumnFestivalInterestMsg:data.result.midAutumnFestivalInterestMsg
						}, 'load');
					} else if(data.error == '3') {
						FN.native.closeWaitDialog();
						//切换通道,普通支付1换到快捷支付,页面要显示新的平台提示
						//验证码和顶部的提示都要显示出来
						$('#top_tipdiv').show();
						$('#phone_div').show();
						$('#yzm_div').show();

						FN.ctrl.smallTip('支付失败,正在为您切换支付平台......', 2500);
						//根据返回的新的通道的信息覆盖之前的；当用户再次点击"确认"按钮，再次提交新的信息给api接口
						params.data.payChannel = data.result.pay_channel;
						params.data.order_id = data.result.order_id;

						//清空验证码，切换通道会重新发送短信验证码
						$('#phonecodeInput').val('');
						params.data.phone_code = '';

						//页面顶部显示新的接收短信的手机号码
						if(data.result.pay_channel == 1)
							$('#pay_channelname').html('联动优势');
						else if(data.result.pay_channel == 4)
							$('#pay_channelname').html('联动优势快捷');
						else if(data.result.pay_channel == 8)
							$('#pay_channelname').html('上海富友');

						//接收短信号码
						$('#pay_phone').html(FN.util.setSecurePhone(data.result.bank_phone));
						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);

						//倒计时要重新计时
						if((params.data.payChannel == 4 || params.data.payChannel == 8)) {
							FN.ctrl.setClock(60,
								params.dom().find("#payConfirmChannel_timer"), //重发短信按钮
								params.dom().find("#payConfirmChannel_timer"),
								sendSMSCode, //上面定义发短信的方法
								//富友快捷,点击重新发送短信，接口会重新返回一个新的orderId回来，然后替换init初始化时返回的旧的
								//4,8渠道才会传递orderid
								params.data.order_id
							);
						}
					} else if(data.error == '4') {
						FN.native.closeWaitDialog();
						FN.ctrl.smallTip(data.result);
						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);

						//如果顶部返回直接回到payInput页面
						FN.native.setHead({
							url: 'payInput',
							title: '购买'
						});
						FN.native.setNavi({
							show: 0
						});

						//标识支付失败，但是绑卡成功了,区分其他页面回到payInput页面防止全部都刷新
						FN.native.writeEntry('isfrombandcard', '1', 'string', 'bandcard');

						//修改手机保存的 用户是否认证过了。。绑卡成功就认证了
						FN.native.writeEntry('iscertification', '1', 'string', 'certification');

					} else { //1，2直接返回错误信息
						FN.native.closeWaitDialog();
						FN.ctrl.smallTip(data.result);
						//防止重复点击
						params.dom().find('.btn-primary').attr('disabled', false);
					}

					/*FN.pay.doResult(data, function () {//----------------------------支付操作,其中有轮询
					 params.dom().find('.btn-primary').attr('disabled', false);
					 });*/
				}

			}
		}
	}

}).set('paySuccess', function(params) {
	var getPaySuccess = function(data) {
		if(data.firstInvestMsg == undefined) data.firstInvestMsg = null;
		if(data.secondInvestMsg == undefined) data.secondInvestMsg = null;
		
		params.data = data; //data是前面传递过来的参数
		FN.util.setGlobelBGColor();
		FN.ctrl.show(params.ctrlName, data);


		FN.native.setHead({
			title: '购买成功'
		});
		FN.native.setNavi({
			show: 0
		});
	
		//支付成功后送抽奖
		if(params.data.luckyDrawMsg != undefined && params.data.luckyDrawMsg != null) {
			$('#paySuccess-luckdraw').hide();
			$('#paySuccess-luckdraw-content').text('');
			$('#paySuccess-luckdraw').show();
			$('#paySuccess-luckdraw-content').text(params.data.luckyDrawMsg);
		}
		//支付成功后送红包
		if(params.data.redPackageMsg != undefined && params.data.redPackageMsg != null) {
			$('#paySuccess-hongbao').hide();
			$('#paySuccess-hongbao-content').text('');
			$('#paySuccess-hongbao').show();
			$('#paySuccess-hongbao-content').text(params.data.redPackageMsg);
		}
		//支付成功后送话费
		if(params.data.huafeiMsg != undefined && params.data.huafeiMsg != null) {
			$('#paySuccess-huafei').hide();
			$('#paySuccess-huafei-content').text('');
			$('#paySuccess-huafei').show();
			$('#paySuccess-huafei-content').text(params.data.huafeiMsg);
		}
		//支付成功后送加息券
		if(params.data.midAutumnFestivalInterest != undefined && params.data.midAutumnFestivalInterest == 1) {
			$('#paySuccess-jiaxiquan').hide();
			$('#paySuccess-jiaxiquan-content').text('');
			$('#paySuccess-jiaxiquan').show();
			$('#paySuccess-jiaxiquan-content').text(params.data.midAutumnFestivalInterestMsg);
		}
		//邀请好友投资支付成功后送流量-----一个用户只显示一次
		if(params.data.shareFlow != undefined && params.data.shareFlow == 1) {
			var phone = FN.user.getUserPhone();
			var shareFlowphone = FN.native.readEntry('shareFlow_phone', 'string', 'shareFlowphone');
			if(shareFlowphone == '' || (shareFlowphone != '' && shareFlowphone != phone)) {
				$('#paySuccess-liuliang').hide();
				$('#paySuccess-liuliang-content').text('');
				$('#paySuccess-liuliang').show();
				$('#paySuccess-liuliang-content').text(params.data.friendFlowMsg);

				FN.native.writeEntry('shareFlow_phone', phone, 'string', 'shareFlowphone');
			}
		}
		//支付成功后获得邀请好友平分3w大奖资格
		if(params.data.friendShare != undefined && params.data.friendShare ==1) {
			$('#paySuccess-yaoqing').hide();
			$('#paySuccess-yaoqing-content').text('');
			$('#paySuccess-yaoqing').show();
			$('#paySuccess-yaoqing-content').text(params.data.friendShareMsg);
			document.getElementById('paysuccess-img').src="./tpl/paySuccess/img/buysuc.png";
			//页面上新邀请好友平分3万大奖
			// params.dom().find('#paySuccess-yaoqing').click(function() {
			// 	FN.ctrl.get('paySuccess').yaoqing();
			// });
		}else if(params.data.friendShare != undefined && params.data.friendShare ==2){
			$('#paySuccess-yaoqing').hide();
			$('#paySuccess-yaoqing-content').text('');
			$('#paySuccess-yaoqing').show();
			$('#paySuccess-yaoqing-content').text(params.data.friendShareMsg);
		    document.getElementById('paysuccess-img').src="./tpl/paySuccess/img/buySuccess.jpg";		
		}
		
		//页面上的查看投资详情按钮
		//params.dom().find('.more').click(function() {
		//	FN.ctrl.get('paySuccess').sure();
		//});
		//页面上继续投资满3w抽奖活动
		params.dom().find('#paySuccess-luckdraw').click(function() {
			FN.ctrl.get('paySuccess').luckdraw();
		});
		//页面上获得红包，转到我的红包页面
		params.dom().find('#paySuccess-hongbao').click(function() {
			FN.ctrl.get('paySuccess').hongbao();
		});
		//页面上新邀请好友投资活动，分配流量，转到活动页面
		//params.dom().find('#paySuccess-liuliang').click(function() {
		//	FN.ctrl.get('paySuccess').liuliang();
		//});
		setTimeout(function() {
			myScroll.refresh(); //加载图片重新计算高度
		}, 500);

		FN.native.closeWaitDialog();
	}
	return {
		'init': getPaySuccess,
		'sure': function() {
			//点击跳转；根据其他页面传递过来参数
			if(params.data.fromsrc == '2') {
				FN.page.go('depositDetial', {
					upid: params.data.upid,
					goBackUrl: 'myInvest'
				}, 'load'); //直接跳转到存一笔详情页面
			} else
			// FN.page.go('myInvest', '', 'load');//跳转到当前投资详情
				FN.page.go('investDetail', {
					upid: params.data.userProductId,
					isfrom: 'paysuccess',
					goBackUrl: 'myassets'
				}, 'load');
			//  FN.page.go('currentInvest', {page: 1, goBackUrl: 'myInvest'}, 'load');
		},
		'back': function() {
			FN.page.go('productList', '', 'load');
		},
		'experience': function() {
			FN.page.go('myExperience', {
				goBackUrl: 'recommend',
			}, 'load');
		},
		'hongbao': function() {
			FN.page.go('myhongbao', '', 'load');
		},
		'myInvest': function() {
			FN.page.go('myInvest', '', 'load');
		},
		'firstInvest':function () {
			FN.page.go('productList', '', 'load');
		},
		'jiaxi': function() {
			FN.page.go('productList', '', 'load');
		},
		'jinqiou':function(){
			FN.native.loadExternal(params.data.goldAutumnUrl);
		},
		'interest':function(){
			FN.page.go('productList', '', 'load');
		},
		'jiaxilist': function() {
			FN.page.go('myjiaxi', {
				goBackUrl: 'myInvest'
			}, 'load');
		},
		'luckdraw': function() {
			FN.native.loadExternal(params.data.luckyDrawURL);
		},
		'yaoqing': function() {
			FN.native.loadExternal(params.data.friendShareUrl);
		},
		'liuliang': function() {
			//alert(params.data.friendFlowUrl);
			FN.native.loadExternal(params.data.friendFlowUrl);
		},
		'showNewbieGift': function() {
			FN.native.loadExternal(params.data.showNewbieGiftUrl);
		},
		'updatereward': function() {

			//更新奖品
			FN.native.get('api/hb/share_red_envelope_from_buy', {
				reward_id: params.data.redEnvelopeId
			}, 'envelope.get', 'json');
			FN.callbackFunc['envelope.get'] = function(data) {
				if(FN.ctrl.exception(data, true))
					return;
				if(data.error == 0) { //点击了分享按钮，吧返回的信息，分享给 外面

					FN.ctrl.smallTip('成功');
				}
			};

		},
	}
}).set('bankcardManage', function(params) {

	var fromsrc = ''; //判断从，普通购买页面过来，还是从，定存购买页面过来的
	var frombind = false;
	var fromurl;
	var experience_id;
	var getBankcardManage = function(data) {

		FN.util.setGlobelBGColor();

		fromsrc = data.fromsrc;
		frombind = data.frombind;
		fromurl = data.fromurl;
		experience_id = data.experience_id;
		if(data && data.type) {
			params.type = data.type;
		} else {
			params.type = 0; //银行卡管理
		}
		params.cardCheckID = data.cardId;
		params.backUrl = data.goBackUrl || 'more';
		params.userPhone = data.userPhone;
		params.forwardUrl = data.forwardUrl;
		FN.native.get('api/my/get_bank_card_list', {}, 'get_bank_card_list.get', 'json');
		FN.callbackFunc['get_bank_card_list.get'] = function(data) {
			if(FN.ctrl.exception(data))
				return;
			if(data.error == '0') {
				data.result.bankCardList.type = params.type;
				data.result.bankCardList.cardCheckID = params.cardCheckID;
				params.data = data;

				//是否设置了支付密码
				//FN.native.writeEntry('isSetPayPassword', data.result.payPassword, 'string', 'userInfo');

				FN.ctrl.show(params.ctrlName, {
					'cards': data.result.bankCardList
				});
				// 设置高宽
				setItemSize();
				params.dom().find('#bankcard-pop').hide();
				myScroll.refresh();
			}
			FN.native.closeWaitDialog();
			if(frombind) {
				if(data.result.bankCardList.length == 0) {
					//alert(data.result.bankCardList.length);
					FN.page.go('addBankcard', {
						fromurl: "bankcardManage",
						goBackUrl: fromurl,
						frombind: true,
						experience_id: experience_id
					}, 'load'); //如果银行卡为空就直接进入,且返回上级界面
					return;
				}
			}
			if(params.type == 0) {
				if(frombind) {
					FN.native.setHead({
						url: params.backUrl,
						title: '请选择一张银行卡'
					});
				} else {
					FN.native.setHead({
						url: params.backUrl,
						title: '银行卡管理'
					});
				}
			} else {
				FN.native.setHead({
					url: params.backUrl,
					title: '选择银行卡'
				});
			}
		}

		FN.native.setNavi({
			show: 0
		});
	};

	var setItemSize = function() {
		function bankImgBox() {
			var ratio = 392 / 1019, //银行卡图片的比例
				btnRation = 48 / 1019, //银行卡右侧按钮比例
				cardNoRation = 70 / 1019;
			var _w = $('.bank-list').width();
			var _h = _w * ratio;
			var _btnW = _w * btnRation;
			var cardNoSize = _w * cardNoRation;

			params.dom().find('.bank-item').width(_w).height(_h);
			params.dom().find('.bank-fn').width(_btnW);
			params.dom().find('.bank-No').css('fontSize', cardNoSize + "px"); //卡号字号
			params.dom().find('.bank-limit').css('fontSize', cardNoSize / 2 + "px"); //限额字号

		}

		bankImgBox();

		$(window).resize(function() {
			bankImgBox();
		});
	}
	var current_count = 1; //统计请求次数，当数据修改后，重新统计current_count
	var disable_error = 0;
	var currentIndex;//弹窗时选中银行卡索引
	return {
		'init': function(data) {
			getBankcardManage(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			//先隐藏添加银行卡和华海保险承保提示
			$('#tip_addbank').attr('style', 'display: none;');
			$('#tip_bao').attr('style', 'display: none;');

			if(params.type == 0) {

				if(frombind) {
					FN.native.setHead({
						url: params.backUrl,
						title: '请选择一张银行卡'
					});
				} else {
					FN.native.setHead({
						url: params.backUrl,
						title: '银行卡管理'
					});
				}

			} else {
				FN.native.setHead({
					url: params.backUrl,
					title: '选择银行卡'
				});
			}
			FN.native.setNavi({
				show: 0
			});
			FN.native.get('api/my/get_bank_card_list', {}, 'get_bank_card_list.get', 'json');
			FN.callbackFunc['get_bank_card_list.get'] = function(data) {
				if(FN.ctrl.exception(data)) {
					return;
				}
				if(data.error == '0') {
					params.data = data;
					data.result.bankCardList.type = params.type;

					//在显示添加银行卡和华海保险承保提示
					$('#tip_addbank').attr('style', 'display: block;');
					$('#tip_bao').attr('style', 'display: block;');

					FN.ctrl.show(params.ctrlName, {
						'cards': data.result.bankCardList
					});

					// 设置高宽
					setItemSize();
					params.dom().find('#bankcard-pop').hide();
					myScroll.refresh();
				}
			}
		},
		'addBankCard': function() { //添加银行卡信息
			if(frombind) {
				FN.page.go('addBankcard', {
					fromurl: 'bankcardManage',
					goBackUrl: 'bankcardManage',
					frombind: true,
					experience_id: experience_id,
				}, 'load');
				return;
			}
			FN.page.go('addBankcard', params.forwardUrl ? {
				type: params.type,
				forwardUrl: params.forwardUrl
			} : {
				type: params.type
			}, 'load');

		},
		'showDeleteDialog': function(index) { //点击查看银行卡信息
			// params.card = params.data.result[index];//传递银行卡信息，用于删除卡传参
			var card = params.data.result.bankCardList[index];
			//FN.page.go('editBankcard',{card_id: params.card.id,'index': index,'cardinfo': params}, 'load');
			if(frombind) {

				FN.native.post('api/my_experience/bind_bank_card', {
					card_id: card.id,
					id_card: "",
					user_name: "",
					card_no: "",
					bank_phone: "",
					bank_id: "",
					disable_error: disable_error,
					experience_id: experience_id,
					current_count: current_count,
					//current_count:3,
				}, 'bind_bank_card.post', 'json');

				FN.callbackFunc['bind_bank_card.post'] = function(data) {
					FN.native.closeWaitDialog();
					if(FN.ctrl.exception(data, true)) {
						return;
					}

					if(data.error == 0) { // 添加银行卡信息成功

						var mdata = {};
						mdata.card_id = data.result.card_id;
						mdata.sign = data.result.sign;
						mdata.id_card = "",
							mdata.user_name = "",
							mdata.card_no = "",
							mdata.bankPhone = data.result.bank_phone,
							mdata.bank_id = "",
							mdata.disable_error = disable_error,
							mdata.experience_id = experience_id;
						mdata.current_count = current_count;
						var order_id = "";
						var pay_channel_name = "";
						if(data.result.needPay == 1) {
							order_id = data.result.result.order_id;
							pay_channel_name = data.result.result.pay_channel_name;
						}

						FN.page.go('addBankcardSMS', {
							fromurl: 'recommend',
							goBackUrl: 'bankcardManage',
							frombind: true,
							data: mdata,
							needPay: data.result.needPay,
							order_id: order_id,
							pay_channel_name: pay_channel_name,
						}, 'load');

					} else if(data.error == 1) {
						FN.ctrl.callConfirm({
							title: '温馨提示',
							content: data.result,
							sureDes: '继续绑卡',
							cancelDes: '取消',
							confirmFun: function() {
								disable_error = disable_error + 1;
								FN.ctrl.confirmCtrl(false);
								FN.ctrl.get('bankcardManage').showDeleteDialog(index);
							},
							cancelFun: function() {
								FN.ctrl.confirmCtrl(false);
								return;
							}
						});
					} else if(data.error == 2) {
						FN.ctrl.callConfirm({
							title: '温馨提示',
							content:  data.result,
							sureDes: '继续绑卡',
							cancelDes: '取消',
							confirmFun: function() {
								disable_error = disable_error + 2;
								FN.ctrl.confirmCtrl(false);
								FN.ctrl.get('bankcardManage').showDeleteDialog(index);
							},
							cancelFun: function() {
								FN.ctrl.confirmCtrl(false);
								return;
							}
						});
					} else if(data.error == 3) {//需要一元支付
						FN.other.experiencebind(true);
						currentIndex = index;
					} else if(data.error == 4) {//错误提示
						FN.ctrl.smallTip(data.result);
						current_count = current_count + 1;
					} else if(data.error == 5) {//调到下个绑卡编辑界面，传递卡的基本数据
						FN.ctrl.smallTip(data.result.msg);
						var mdata = {};
						mdata.cardId = data.result.cardId;
						mdata.idCard = data.result.idCard,
							mdata.userName = data.result.userName,
							mdata.bankCardNo = data.result.bankCardNo,
							mdata.bankPhone = data.result.bankPhone,
							mdata.bankId = data.result.bankId,
							mdata.bankName = data.result.bankName,
							FN.page.go('addBankcard', {
								fromurl: 'bankcardManage',
								goBackUrl: 'bankcardManage',
								frombind: true,
								carddata: mdata,
								experience_id: experience_id,
							}, 'load');

						return;
					}
				}

				return;
			}
			FN.page.go('editBankcard', {
				card_id: card.id
			}, 'load');

		},
		'selectedCard': function(index) { //选中银行卡--废弃

			var card = params.data.result.bankCardList[index];
			card.cardId = card.id;
			var inputs = document.getElementsByName('check-bank-buy');
			for(var i = 0; i < inputs.length; i++) {
				inputs[i].checked = false;
				inputs[index].checked = true;
			}
			setTimeout(function() {
				if(fromsrc == '2')
					FN.page.go('depositInput', {
						card: card
					});
				else
					FN.page.go('payInput', {
						card: card,
						selectype: 'bank'
					});
			}, 500);
		},
		bindignore: function() {
			disable_error = disable_error + 4;
			FN.ctrl.get('bankcardManage').showDeleteDialog(currentIndex);
		},
	};
}).set('hongbaocardManage', function(params) {

	var gethongbaocardManage = function() {

		FN.util.setGlobelBGColor();

		//清理保存的isfrombandcard，防止回去payInput页面在刷新
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		FN.native.get('api/pay/get_red_envelope', {}, 'get_hongbao_card_list.get', 'json');
		FN.callbackFunc['get_hongbao_card_list.get'] = function(data) {

			if(FN.ctrl.exception(data))
				return;

			if(data.error == '0') {
				//设置接口返回的数据
				params.data = data.result;

				FN.ctrl.show(params.ctrlName, {
					'redList': data.result.redList
				});

			}
			FN.native.closeWaitDialog();
		}

		FN.native.setHead({
			url: 'payInput',
			title: '选择红包'
		});

		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function() {

			gethongbaocardManage();
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: 'payInput',
				title: '选择红包'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'pop': function() {
			$('#div_pop_hb').show();
		},
		'clos': function() {
			$('#div_pop_hb').hide();
		},
		'selectedCard': function(index) { //选中可用红包

			//选中一个，关闭页面，回传数据回去cardid和
			var hb = params.data.redList[index];

			//选中某一个。。
			var checkt = document.getElementsByName('checkselected');
			$(checkt[index]).removeClass('hide');

			var checkf = document.getElementsByName('check-false');
			$(checkf[index]).addClass("hide");

			//$(checkf[index]).next('.q-select').show().removeClass('hide');
			//  for (var i = 0; i < inputs.length; i++) {
			//inputs[i].checked = false;
			//inputs[index].checked = true;
			//alert("get"+inputs[i]);
			//$(inputs[i]).addClass('animated zoomOut'); 无效
			// }
			setTimeout(function() {
				//稍微等一会,在跳转，为了看到checked的效果
				FN.page.go('payInput', {
					hbcard: hb,
					selectype: 'hongbao'
				});
			}, 300);
		},
		'selectedUNCard': function(minAmount, index) { //选中不可用红包

			//选中某一个。。不选中
			var inputs = document.getElementsByName('check-hb-buy');
			for(var i = 0; i < inputs.length; i++) {
				inputs[i].checked = false;
			}

			//提示未达到红包使用门槛。。。
			FN.ctrl.smallTip('您累计投资未满' + minAmount + '元，暂不可使用'); //+params.data.allInvestAmount+'元'
		}
	}

}).set('jiaxicardManage', function(params) {

	var getjiaxicardManage = function(bill) {

		FN.util.setGlobelBGColor();

		//清理保存的isfrombandcard，防止回去payInput页面在刷新
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		//设置传递的参数数据
		params.backUrl = bill.goBackUrl;
		params.forwardUrl = bill.forwardUrl;

		FN.native.get('api/pay/get_interest_reward', {}, 'get_jiaxi_card_list.get', 'json');
		FN.callbackFunc['get_jiaxi_card_list.get'] = function(data) {
			if(FN.ctrl.exception(data))
				return;
			if(data.error == '0') {
				//设置接口返回的数据
				params.data = data;

				FN.ctrl.show(params.ctrlName, {
					'jxcards': data.result.rewardList
				});

			}
			FN.native.closeWaitDialog();
		}

		FN.native.setHead({
			url: 'payInput',
			title: '选择加息券'
		});

		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function(data) {
			getjiaxicardManage(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: params.backUrl,
				title: '选择加息券'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'pop': function() {
			//显示对话框
			$('#div_pop_jx').show();

		},
		'selectedCard': function(index) {

			//选中一个，关闭页面，回传数据回去cardid和
			var jxcard = params.data.result.rewardList[index];

			jxcard.cardId = jxcard.id; //加息券id
			jxcard.rewardShare = jxcard.rewardShare; //年化率

			//选中某一个。。
			//var inputs = document.getElementsByName('check-jx-buy');
			// for (var i = 0; i < inputs.length; i++) {
			// inputs[i].checked = false;
			// inputs[index].checked = true;
			// }
			var checkt = document.getElementsByName('check-jx-selected');
			$(checkt[index]).removeClass('hide');

			var checkf = document.getElementsByName('check-jx-false');
			$(checkf[index]).addClass("hide");

			setTimeout(function() {
				//稍微等一会,在跳转，为了看到checked的效果
				FN.page.go('payInput', {
					jxcard: jxcard,
					selectype: 'jiaxi'
				});
			}, 500);
		}
	}

}).set('increaseLimit', function(params) {
	var getData = function(data) {
		FN.util.setGlobelBGColor();
		params.goBackUrl = 'payInput';
		params.product_cate_id = data.product_cate_id;
		params.product_id = data.product_id;
		params.pay_amount = data.pay_amount;
		params.card_id = data.card_id;
		params.order_id = data.order_id;
		params.bank_phone = data.bank_phone;
		params.reward_id = data.reward_id;
		params.red_envelope_type = data.red_envelope_type;
		params.red_envelope_amount = data.red_envelope_amount;
		params.red_envelope_id = data.red_envelope_id;
		params.payChannel = data.payChannel;
		params.payChannel_name = data.payChannel_name;
		params.certification = data.certification; //是否认证过

		//提升额度页面显示参数
		params.bankName = data.bankName;
		params.cardNo = data.cardNo;
		params.bankId = data.bankId;

		FN.ctrl.show(params.ctrlName, params);
		FN.native.setHead({
			url: params.goBackUrl,
			title: '提升额度'
		});
		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function(data) {
			getData(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: params.goBackUrl,
				title: '提升额度'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'goToNext': function() {
			params.dom().find('#userPhone').blur();
			// 验证预留手机格式
			var userPhone = params.dom().find('#userPhone').val();
			if(!FN.util.phoneRule(userPhone)) {
				FN.ctrl.smallTip('请输入正确的手机号', 1500);
				return;
			}
			var bankPhone = userPhone;
			FN.native.post('api/pay/bind_bank_phone', {
				bank_card_id: params.card_id,
				bank_phone: bankPhone,
				product_cate_id: params.product_cate_id,
				product_id: params.product_id,
				buy_amount: params.pay_amount,
				reward_id: params.reward_id,
				red_envelope_type: params.red_envelope_type,
				red_envelope_amount: params.red_envelope_amount,
				red_envelope_id: params.red_envelope_id,
			}, 'bind_bank_phone.post', 'json');
			FN.native.openWaitDialog();
			FN.callbackFunc['bind_bank_phone.post'] = function(data) {
				FN.native.closeWaitDialog();
				if(FN.ctrl.exception(data, true)) {
					return;
				}

				if(data.error == 0) { // 提升额度成功成功
					FN.page.go('payConfirmNew', {
						fromlimit: '1',
						product_cate_id: params.product_cate_id,
						product_id: params.product_id,
						pay_amount: params.pay_amount,
						card_id: params.card_id, //原先传递过来的card_id
						order_id: data.result.order_id,
						bank_phone: data.result.bank_phone,
						reward_id: params.reward_id,
						red_envelope_type: params.red_envelope_type,
						red_envelope_amount: params.red_envelope_amount,
						red_envelope_id: params.red_envelope_id,
						payChannel: data.result.pay_channel,
						payChannel_name: data.result.pay_channel_name,
						certification: params.certification
					}, 'load');
				} else {
					FN.ctrl.smallTip(data.result);
				}
			}
		}
	}
}).set('selectBanks', function(params) {
	var getSelectBanks = function(data) {
		FN.util.setGlobelBGColor();

		//清理writeEntity中保存的isfrombandcard，返回payInput时不刷新页面
		FN.native.writeEntry('isfrombandcard', '0', 'string', 'bandcard');

		//选中老卡id
		params.cardCheckID = data.cardId;
		//选中新卡id
		params.bankCheckID = data.bankId;

		params.backUrl = data.goBackUrl;
		params.userPhone = data.userPhone;
		params.forwardUrl = data.forwardUrl;

		FN.native.get('api/my/get_bank_card_list', {}, 'get_bank_card_list.get', 'json');
		FN.callbackFunc['get_bank_card_list.get'] = function(data) {

			if(FN.ctrl.exception(data))
				return;
			if(data.error == '0') {
				data.result.cardCheckID = params.cardCheckID;
				data.result.bankCheckID = params.bankCheckID;
				params.data = data.result;

				FN.ctrl.show(params.ctrlName, data.result);

				params.dom().find('#selectBankCards' + data.result[id] + '').addClass('checked');
				myScroll.refresh();
			}
			FN.native.closeWaitDialog();

		}
		FN.native.setHead({
			url: params.backUrl,
			title: '选择银行卡'
		});
		FN.native.setNavi({
			show: 0
		});
	};

	return {
		'init': function(data) {

			getSelectBanks(data);
		},
		'update': function(data) {
			FN.util.setGlobelBGColor();
			FN.native.setHead({
				url: params.backUrl,
				title: '选择银行卡'
			});
			FN.native.setNavi({
				show: 0
			});
		},
		'selectedBankIcon': function(bankid) {
			iconstr = '';
			switch(bankid) {
				case 1:
					iconstr = './tpl/selectBanks/img/1.png';
					break;
				case 2:
					iconstr = './tpl/selectBanks/img/2.png';
					break;
				case 3:
					iconstr = './tpl/selectBanks/img/3.png';
					break;
				case 4:
					iconstr = './tpl/selectBanks/img/4.png';
					break;
				case 5:
					iconstr = './tpl/selectBanks/img/5.png';
					break;
				case 6:
					iconstr = './tpl/selectBanks/img/6.png';
					break;
				case 7:
					iconstr = './tpl/selectBanks/img/7.png';
					break;
				case 8:
					iconstr = './tpl/selectBanks/img/8.png';
					break;
				case 9:
					iconstr = './tpl/selectBanks/img/9.png';
					break;
				case 10:
					iconstr = './tpl/selectBanks/img/10.png';
					break;
				case 11:
					iconstr = './tpl/selectBanks/img/11.png';
					break;
				case 12:
					iconstr = './tpl/selectBanks/img/12.png';
					break;
				case 13:
					iconstr = './tpl/selectBanks/img/13.png';
					break;
				case 14:
					iconstr = './tpl/selectBanks/img/14.png';
					break;
				case 15:
					iconstr = './tpl/selectBanks/img/15.png';
					break;
				case 16:
					iconstr = './tpl/selectBanks/img/16.png';
					break;
			}
			return iconstr;
		},
		'selectedCard': function(index) {
			var bank = params.data.bankCardList[index];

			//老卡选中回去,payInput中要使用
			bank.cardId = bank.id;
			bank.banktype = 0; //表示老卡

			var inputs = document.getElementsByName('selectBankCards');
			for(var i = 0; i < inputs.length; i++) {
				params.dom().find('#selectBankCards' + i + '').removeClass('checked');
				params.dom().find('#selectBankCards' + index + '').addClass('checked');
			}
			var input = document.getElementsByName('selectCards');
			for(var i = 0; i < input.length; i++) {
				params.dom().find('#selectCards' + i + '').removeClass('checked');
			}
			setTimeout(function() {
				FN.page.go('payInput', {
					card: bank,
					selectype: 'bank'
				});
			}, 500);
		},
		'selectedBankCard': function(index) {
			var card = params.data.payBankList[index];

			//新卡选中回去,payinput中实际不用cardId

			card.bankId = card.id;
			card.banktype = 1; //表示新卡
			var inputs = document.getElementsByName('selectCards');
			for(var i = 0; i < inputs.length; i++) {
				params.dom().find('#selectCards' + i + '').removeClass('checked');
				params.dom().find('#selectCards' + index + '').addClass('checked');
			}
			var input = document.getElementsByName('selectBankCards');
			for(var i = 0; i < input.length; i++) {
				params.dom().find('#selectBankCards' + i + '').removeClass('checked');
			}
			setTimeout(function() {
				FN.page.go('payInput', {
					card: card,
					selectype: 'bank'
				});
			}, 500);
		}
	}
});